"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompatibleKafkaVersion = exports.ClusterOperationInfo = exports.MutableClusterInfo = exports.ConfigurationInfo = exports.ClusterOperationStep = exports.ClusterOperationStepInfo = exports.ErrorInfo = exports.ClusterInfo = exports.OpenMonitoring = exports.Prometheus = exports.NodeExporter = exports.JmxExporter = exports.Cluster = exports.StateInfo = exports.ClusterState = exports.Serverless = exports.VpcConfig = exports.ServerlessClientAuthentication = exports.ServerlessSasl = exports.Provisioned = exports.OpenMonitoringInfo = exports.PrometheusInfo = exports.NodeExporterInfo = exports.JmxExporterInfo = exports.LoggingInfo = exports.BrokerLogs = exports.S3 = exports.Firehose = exports.CloudWatchLogs = exports.EnhancedMonitoring = exports.EncryptionInfo = exports.EncryptionInTransit = exports.ClientBroker = exports.EncryptionAtRest = exports.BrokerSoftwareInfo = exports.ClientAuthentication = exports.Unauthenticated = exports.Tls = exports.Sasl = exports.Scram = exports.Iam = exports.BrokerNodeGroupInfo = exports.StorageInfo = exports.EBSStorageInfo = exports.ConnectivityInfo = exports.PublicAccess = exports.BrokerAZDistribution = exports.ClusterType = exports.BrokerEBSVolumeInfo = exports.ProvisionedThroughput = void 0;
exports.ListClusterOperationsResponse = exports.ListClusterOperationsRequest = exports.GetCompatibleKafkaVersionsResponse = exports.GetCompatibleKafkaVersionsRequest = exports.GetBootstrapBrokersResponse = exports.GetBootstrapBrokersRequest = exports.DescribeConfigurationRevisionResponse = exports.DescribeConfigurationRevisionRequest = exports.DescribeConfigurationResponse = exports.DescribeConfigurationRequest = exports.DescribeClusterV2Response = exports.DescribeClusterV2Request = exports.DescribeClusterOperationResponse = exports.DescribeClusterOperationRequest = exports.DescribeClusterResponse = exports.DescribeClusterRequest = exports.DeleteConfigurationResponse = exports.DeleteConfigurationRequest = exports.DeleteClusterResponse = exports.DeleteClusterRequest = exports.CreateConfigurationResponse = exports.CreateConfigurationRequest = exports.CreateClusterV2Response = exports.CreateClusterV2Request = exports.ServerlessRequest = exports.ProvisionedRequest = exports.CreateClusterResponse = exports.CreateClusterRequest = exports.ConflictException = exports.BatchDisassociateScramSecretResponse = exports.BatchDisassociateScramSecretRequest = exports.UnauthorizedException = exports.TooManyRequestsException = exports.ServiceUnavailableException = exports.NotFoundException = exports.InternalServerErrorException = exports.ForbiddenException = exports.BatchAssociateScramSecretResponse = exports.BatchAssociateScramSecretRequest = exports.BadRequestException = exports.UnprocessedScramSecret = exports.NodeInfo = exports.ZookeeperNodeInfo = exports.NodeType = exports.BrokerNodeInfo = exports.KafkaVersion = exports.KafkaVersionStatus = exports.Configuration = exports.ConfigurationState = exports.ConfigurationRevision = void 0;
exports.UpdateSecurityResponse = exports.UpdateSecurityRequest = exports.UpdateMonitoringResponse = exports.UpdateMonitoringRequest = exports.UpdateConnectivityResponse = exports.UpdateConnectivityRequest = exports.UpdateConfigurationResponse = exports.UpdateConfigurationRequest = exports.UpdateClusterKafkaVersionResponse = exports.UpdateClusterKafkaVersionRequest = exports.UpdateClusterConfigurationResponse = exports.UpdateClusterConfigurationRequest = exports.UpdateBrokerTypeResponse = exports.UpdateBrokerTypeRequest = exports.UpdateBrokerStorageResponse = exports.UpdateBrokerStorageRequest = exports.UpdateBrokerCountResponse = exports.UpdateBrokerCountRequest = exports.UntagResourceRequest = exports.TagResourceRequest = exports.RebootBrokerResponse = exports.RebootBrokerRequest = exports.ListTagsForResourceResponse = exports.ListTagsForResourceRequest = exports.ListScramSecretsResponse = exports.ListScramSecretsRequest = exports.ListNodesResponse = exports.ListNodesRequest = exports.ListKafkaVersionsResponse = exports.ListKafkaVersionsRequest = exports.ListConfigurationsResponse = exports.ListConfigurationsRequest = exports.ListConfigurationRevisionsResponse = exports.ListConfigurationRevisionsRequest = exports.ListClustersV2Response = exports.ListClustersV2Request = exports.ListClustersResponse = exports.ListClustersRequest = void 0;
const KafkaServiceException_1 = require("./KafkaServiceException");
var ProvisionedThroughput;
(function (ProvisionedThroughput) {
    ProvisionedThroughput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProvisionedThroughput = exports.ProvisionedThroughput || (exports.ProvisionedThroughput = {}));
var BrokerEBSVolumeInfo;
(function (BrokerEBSVolumeInfo) {
    BrokerEBSVolumeInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BrokerEBSVolumeInfo = exports.BrokerEBSVolumeInfo || (exports.BrokerEBSVolumeInfo = {}));
var ClusterType;
(function (ClusterType) {
    ClusterType["PROVISIONED"] = "PROVISIONED";
    ClusterType["SERVERLESS"] = "SERVERLESS";
})(ClusterType = exports.ClusterType || (exports.ClusterType = {}));
var BrokerAZDistribution;
(function (BrokerAZDistribution) {
    BrokerAZDistribution["DEFAULT"] = "DEFAULT";
})(BrokerAZDistribution = exports.BrokerAZDistribution || (exports.BrokerAZDistribution = {}));
var PublicAccess;
(function (PublicAccess) {
    PublicAccess.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PublicAccess = exports.PublicAccess || (exports.PublicAccess = {}));
var ConnectivityInfo;
(function (ConnectivityInfo) {
    ConnectivityInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ConnectivityInfo = exports.ConnectivityInfo || (exports.ConnectivityInfo = {}));
var EBSStorageInfo;
(function (EBSStorageInfo) {
    EBSStorageInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EBSStorageInfo = exports.EBSStorageInfo || (exports.EBSStorageInfo = {}));
var StorageInfo;
(function (StorageInfo) {
    StorageInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StorageInfo = exports.StorageInfo || (exports.StorageInfo = {}));
var BrokerNodeGroupInfo;
(function (BrokerNodeGroupInfo) {
    BrokerNodeGroupInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BrokerNodeGroupInfo = exports.BrokerNodeGroupInfo || (exports.BrokerNodeGroupInfo = {}));
var Iam;
(function (Iam) {
    Iam.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Iam = exports.Iam || (exports.Iam = {}));
var Scram;
(function (Scram) {
    Scram.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Scram = exports.Scram || (exports.Scram = {}));
var Sasl;
(function (Sasl) {
    Sasl.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Sasl = exports.Sasl || (exports.Sasl = {}));
var Tls;
(function (Tls) {
    Tls.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Tls = exports.Tls || (exports.Tls = {}));
var Unauthenticated;
(function (Unauthenticated) {
    Unauthenticated.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Unauthenticated = exports.Unauthenticated || (exports.Unauthenticated = {}));
var ClientAuthentication;
(function (ClientAuthentication) {
    ClientAuthentication.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ClientAuthentication = exports.ClientAuthentication || (exports.ClientAuthentication = {}));
var BrokerSoftwareInfo;
(function (BrokerSoftwareInfo) {
    BrokerSoftwareInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BrokerSoftwareInfo = exports.BrokerSoftwareInfo || (exports.BrokerSoftwareInfo = {}));
var EncryptionAtRest;
(function (EncryptionAtRest) {
    EncryptionAtRest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EncryptionAtRest = exports.EncryptionAtRest || (exports.EncryptionAtRest = {}));
var ClientBroker;
(function (ClientBroker) {
    ClientBroker["PLAINTEXT"] = "PLAINTEXT";
    ClientBroker["TLS"] = "TLS";
    ClientBroker["TLS_PLAINTEXT"] = "TLS_PLAINTEXT";
})(ClientBroker = exports.ClientBroker || (exports.ClientBroker = {}));
var EncryptionInTransit;
(function (EncryptionInTransit) {
    EncryptionInTransit.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EncryptionInTransit = exports.EncryptionInTransit || (exports.EncryptionInTransit = {}));
var EncryptionInfo;
(function (EncryptionInfo) {
    EncryptionInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EncryptionInfo = exports.EncryptionInfo || (exports.EncryptionInfo = {}));
var EnhancedMonitoring;
(function (EnhancedMonitoring) {
    EnhancedMonitoring["DEFAULT"] = "DEFAULT";
    EnhancedMonitoring["PER_BROKER"] = "PER_BROKER";
    EnhancedMonitoring["PER_TOPIC_PER_BROKER"] = "PER_TOPIC_PER_BROKER";
    EnhancedMonitoring["PER_TOPIC_PER_PARTITION"] = "PER_TOPIC_PER_PARTITION";
})(EnhancedMonitoring = exports.EnhancedMonitoring || (exports.EnhancedMonitoring = {}));
var CloudWatchLogs;
(function (CloudWatchLogs) {
    CloudWatchLogs.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CloudWatchLogs = exports.CloudWatchLogs || (exports.CloudWatchLogs = {}));
var Firehose;
(function (Firehose) {
    Firehose.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Firehose = exports.Firehose || (exports.Firehose = {}));
var S3;
(function (S3) {
    S3.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(S3 = exports.S3 || (exports.S3 = {}));
var BrokerLogs;
(function (BrokerLogs) {
    BrokerLogs.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BrokerLogs = exports.BrokerLogs || (exports.BrokerLogs = {}));
var LoggingInfo;
(function (LoggingInfo) {
    LoggingInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LoggingInfo = exports.LoggingInfo || (exports.LoggingInfo = {}));
var JmxExporterInfo;
(function (JmxExporterInfo) {
    JmxExporterInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(JmxExporterInfo = exports.JmxExporterInfo || (exports.JmxExporterInfo = {}));
var NodeExporterInfo;
(function (NodeExporterInfo) {
    NodeExporterInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NodeExporterInfo = exports.NodeExporterInfo || (exports.NodeExporterInfo = {}));
var PrometheusInfo;
(function (PrometheusInfo) {
    PrometheusInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PrometheusInfo = exports.PrometheusInfo || (exports.PrometheusInfo = {}));
var OpenMonitoringInfo;
(function (OpenMonitoringInfo) {
    OpenMonitoringInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OpenMonitoringInfo = exports.OpenMonitoringInfo || (exports.OpenMonitoringInfo = {}));
var Provisioned;
(function (Provisioned) {
    Provisioned.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Provisioned = exports.Provisioned || (exports.Provisioned = {}));
var ServerlessSasl;
(function (ServerlessSasl) {
    ServerlessSasl.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServerlessSasl = exports.ServerlessSasl || (exports.ServerlessSasl = {}));
var ServerlessClientAuthentication;
(function (ServerlessClientAuthentication) {
    ServerlessClientAuthentication.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServerlessClientAuthentication = exports.ServerlessClientAuthentication || (exports.ServerlessClientAuthentication = {}));
var VpcConfig;
(function (VpcConfig) {
    VpcConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(VpcConfig = exports.VpcConfig || (exports.VpcConfig = {}));
var Serverless;
(function (Serverless) {
    Serverless.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Serverless = exports.Serverless || (exports.Serverless = {}));
var ClusterState;
(function (ClusterState) {
    ClusterState["ACTIVE"] = "ACTIVE";
    ClusterState["CREATING"] = "CREATING";
    ClusterState["DELETING"] = "DELETING";
    ClusterState["FAILED"] = "FAILED";
    ClusterState["HEALING"] = "HEALING";
    ClusterState["MAINTENANCE"] = "MAINTENANCE";
    ClusterState["REBOOTING_BROKER"] = "REBOOTING_BROKER";
    ClusterState["UPDATING"] = "UPDATING";
})(ClusterState = exports.ClusterState || (exports.ClusterState = {}));
var StateInfo;
(function (StateInfo) {
    StateInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StateInfo = exports.StateInfo || (exports.StateInfo = {}));
var Cluster;
(function (Cluster) {
    Cluster.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Cluster = exports.Cluster || (exports.Cluster = {}));
var JmxExporter;
(function (JmxExporter) {
    JmxExporter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(JmxExporter = exports.JmxExporter || (exports.JmxExporter = {}));
var NodeExporter;
(function (NodeExporter) {
    NodeExporter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NodeExporter = exports.NodeExporter || (exports.NodeExporter = {}));
var Prometheus;
(function (Prometheus) {
    Prometheus.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Prometheus = exports.Prometheus || (exports.Prometheus = {}));
var OpenMonitoring;
(function (OpenMonitoring) {
    OpenMonitoring.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OpenMonitoring = exports.OpenMonitoring || (exports.OpenMonitoring = {}));
var ClusterInfo;
(function (ClusterInfo) {
    ClusterInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ClusterInfo = exports.ClusterInfo || (exports.ClusterInfo = {}));
var ErrorInfo;
(function (ErrorInfo) {
    ErrorInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ErrorInfo = exports.ErrorInfo || (exports.ErrorInfo = {}));
var ClusterOperationStepInfo;
(function (ClusterOperationStepInfo) {
    ClusterOperationStepInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ClusterOperationStepInfo = exports.ClusterOperationStepInfo || (exports.ClusterOperationStepInfo = {}));
var ClusterOperationStep;
(function (ClusterOperationStep) {
    ClusterOperationStep.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ClusterOperationStep = exports.ClusterOperationStep || (exports.ClusterOperationStep = {}));
var ConfigurationInfo;
(function (ConfigurationInfo) {
    ConfigurationInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ConfigurationInfo = exports.ConfigurationInfo || (exports.ConfigurationInfo = {}));
var MutableClusterInfo;
(function (MutableClusterInfo) {
    MutableClusterInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MutableClusterInfo = exports.MutableClusterInfo || (exports.MutableClusterInfo = {}));
var ClusterOperationInfo;
(function (ClusterOperationInfo) {
    ClusterOperationInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ClusterOperationInfo = exports.ClusterOperationInfo || (exports.ClusterOperationInfo = {}));
var CompatibleKafkaVersion;
(function (CompatibleKafkaVersion) {
    CompatibleKafkaVersion.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CompatibleKafkaVersion = exports.CompatibleKafkaVersion || (exports.CompatibleKafkaVersion = {}));
var ConfigurationRevision;
(function (ConfigurationRevision) {
    ConfigurationRevision.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ConfigurationRevision = exports.ConfigurationRevision || (exports.ConfigurationRevision = {}));
var ConfigurationState;
(function (ConfigurationState) {
    ConfigurationState["ACTIVE"] = "ACTIVE";
    ConfigurationState["DELETE_FAILED"] = "DELETE_FAILED";
    ConfigurationState["DELETING"] = "DELETING";
})(ConfigurationState = exports.ConfigurationState || (exports.ConfigurationState = {}));
var Configuration;
(function (Configuration) {
    Configuration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Configuration = exports.Configuration || (exports.Configuration = {}));
var KafkaVersionStatus;
(function (KafkaVersionStatus) {
    KafkaVersionStatus["ACTIVE"] = "ACTIVE";
    KafkaVersionStatus["DEPRECATED"] = "DEPRECATED";
})(KafkaVersionStatus = exports.KafkaVersionStatus || (exports.KafkaVersionStatus = {}));
var KafkaVersion;
(function (KafkaVersion) {
    KafkaVersion.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(KafkaVersion = exports.KafkaVersion || (exports.KafkaVersion = {}));
var BrokerNodeInfo;
(function (BrokerNodeInfo) {
    BrokerNodeInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BrokerNodeInfo = exports.BrokerNodeInfo || (exports.BrokerNodeInfo = {}));
var NodeType;
(function (NodeType) {
    NodeType["BROKER"] = "BROKER";
})(NodeType = exports.NodeType || (exports.NodeType = {}));
var ZookeeperNodeInfo;
(function (ZookeeperNodeInfo) {
    ZookeeperNodeInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ZookeeperNodeInfo = exports.ZookeeperNodeInfo || (exports.ZookeeperNodeInfo = {}));
var NodeInfo;
(function (NodeInfo) {
    NodeInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NodeInfo = exports.NodeInfo || (exports.NodeInfo = {}));
var UnprocessedScramSecret;
(function (UnprocessedScramSecret) {
    UnprocessedScramSecret.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UnprocessedScramSecret = exports.UnprocessedScramSecret || (exports.UnprocessedScramSecret = {}));
class BadRequestException extends KafkaServiceException_1.KafkaServiceException {
    constructor(opts) {
        super({
            name: "BadRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "BadRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, BadRequestException.prototype);
        this.InvalidParameter = opts.InvalidParameter;
        this.Message = opts.Message;
    }
}
exports.BadRequestException = BadRequestException;
var BatchAssociateScramSecretRequest;
(function (BatchAssociateScramSecretRequest) {
    BatchAssociateScramSecretRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchAssociateScramSecretRequest = exports.BatchAssociateScramSecretRequest || (exports.BatchAssociateScramSecretRequest = {}));
var BatchAssociateScramSecretResponse;
(function (BatchAssociateScramSecretResponse) {
    BatchAssociateScramSecretResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchAssociateScramSecretResponse = exports.BatchAssociateScramSecretResponse || (exports.BatchAssociateScramSecretResponse = {}));
class ForbiddenException extends KafkaServiceException_1.KafkaServiceException {
    constructor(opts) {
        super({
            name: "ForbiddenException",
            $fault: "client",
            ...opts,
        });
        this.name = "ForbiddenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ForbiddenException.prototype);
        this.InvalidParameter = opts.InvalidParameter;
        this.Message = opts.Message;
    }
}
exports.ForbiddenException = ForbiddenException;
class InternalServerErrorException extends KafkaServiceException_1.KafkaServiceException {
    constructor(opts) {
        super({
            name: "InternalServerErrorException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerErrorException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalServerErrorException.prototype);
        this.InvalidParameter = opts.InvalidParameter;
        this.Message = opts.Message;
    }
}
exports.InternalServerErrorException = InternalServerErrorException;
class NotFoundException extends KafkaServiceException_1.KafkaServiceException {
    constructor(opts) {
        super({
            name: "NotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "NotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, NotFoundException.prototype);
        this.InvalidParameter = opts.InvalidParameter;
        this.Message = opts.Message;
    }
}
exports.NotFoundException = NotFoundException;
class ServiceUnavailableException extends KafkaServiceException_1.KafkaServiceException {
    constructor(opts) {
        super({
            name: "ServiceUnavailableException",
            $fault: "server",
            ...opts,
        });
        this.name = "ServiceUnavailableException";
        this.$fault = "server";
        Object.setPrototypeOf(this, ServiceUnavailableException.prototype);
        this.InvalidParameter = opts.InvalidParameter;
        this.Message = opts.Message;
    }
}
exports.ServiceUnavailableException = ServiceUnavailableException;
class TooManyRequestsException extends KafkaServiceException_1.KafkaServiceException {
    constructor(opts) {
        super({
            name: "TooManyRequestsException",
            $fault: "client",
            ...opts,
        });
        this.name = "TooManyRequestsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TooManyRequestsException.prototype);
        this.InvalidParameter = opts.InvalidParameter;
        this.Message = opts.Message;
    }
}
exports.TooManyRequestsException = TooManyRequestsException;
class UnauthorizedException extends KafkaServiceException_1.KafkaServiceException {
    constructor(opts) {
        super({
            name: "UnauthorizedException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnauthorizedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnauthorizedException.prototype);
        this.InvalidParameter = opts.InvalidParameter;
        this.Message = opts.Message;
    }
}
exports.UnauthorizedException = UnauthorizedException;
var BatchDisassociateScramSecretRequest;
(function (BatchDisassociateScramSecretRequest) {
    BatchDisassociateScramSecretRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDisassociateScramSecretRequest = exports.BatchDisassociateScramSecretRequest || (exports.BatchDisassociateScramSecretRequest = {}));
var BatchDisassociateScramSecretResponse;
(function (BatchDisassociateScramSecretResponse) {
    BatchDisassociateScramSecretResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDisassociateScramSecretResponse = exports.BatchDisassociateScramSecretResponse || (exports.BatchDisassociateScramSecretResponse = {}));
class ConflictException extends KafkaServiceException_1.KafkaServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.InvalidParameter = opts.InvalidParameter;
        this.Message = opts.Message;
    }
}
exports.ConflictException = ConflictException;
var CreateClusterRequest;
(function (CreateClusterRequest) {
    CreateClusterRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateClusterRequest = exports.CreateClusterRequest || (exports.CreateClusterRequest = {}));
var CreateClusterResponse;
(function (CreateClusterResponse) {
    CreateClusterResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateClusterResponse = exports.CreateClusterResponse || (exports.CreateClusterResponse = {}));
var ProvisionedRequest;
(function (ProvisionedRequest) {
    ProvisionedRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProvisionedRequest = exports.ProvisionedRequest || (exports.ProvisionedRequest = {}));
var ServerlessRequest;
(function (ServerlessRequest) {
    ServerlessRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServerlessRequest = exports.ServerlessRequest || (exports.ServerlessRequest = {}));
var CreateClusterV2Request;
(function (CreateClusterV2Request) {
    CreateClusterV2Request.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateClusterV2Request = exports.CreateClusterV2Request || (exports.CreateClusterV2Request = {}));
var CreateClusterV2Response;
(function (CreateClusterV2Response) {
    CreateClusterV2Response.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateClusterV2Response = exports.CreateClusterV2Response || (exports.CreateClusterV2Response = {}));
var CreateConfigurationRequest;
(function (CreateConfigurationRequest) {
    CreateConfigurationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateConfigurationRequest = exports.CreateConfigurationRequest || (exports.CreateConfigurationRequest = {}));
var CreateConfigurationResponse;
(function (CreateConfigurationResponse) {
    CreateConfigurationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateConfigurationResponse = exports.CreateConfigurationResponse || (exports.CreateConfigurationResponse = {}));
var DeleteClusterRequest;
(function (DeleteClusterRequest) {
    DeleteClusterRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteClusterRequest = exports.DeleteClusterRequest || (exports.DeleteClusterRequest = {}));
var DeleteClusterResponse;
(function (DeleteClusterResponse) {
    DeleteClusterResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteClusterResponse = exports.DeleteClusterResponse || (exports.DeleteClusterResponse = {}));
var DeleteConfigurationRequest;
(function (DeleteConfigurationRequest) {
    DeleteConfigurationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteConfigurationRequest = exports.DeleteConfigurationRequest || (exports.DeleteConfigurationRequest = {}));
var DeleteConfigurationResponse;
(function (DeleteConfigurationResponse) {
    DeleteConfigurationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteConfigurationResponse = exports.DeleteConfigurationResponse || (exports.DeleteConfigurationResponse = {}));
var DescribeClusterRequest;
(function (DescribeClusterRequest) {
    DescribeClusterRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeClusterRequest = exports.DescribeClusterRequest || (exports.DescribeClusterRequest = {}));
var DescribeClusterResponse;
(function (DescribeClusterResponse) {
    DescribeClusterResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeClusterResponse = exports.DescribeClusterResponse || (exports.DescribeClusterResponse = {}));
var DescribeClusterOperationRequest;
(function (DescribeClusterOperationRequest) {
    DescribeClusterOperationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeClusterOperationRequest = exports.DescribeClusterOperationRequest || (exports.DescribeClusterOperationRequest = {}));
var DescribeClusterOperationResponse;
(function (DescribeClusterOperationResponse) {
    DescribeClusterOperationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeClusterOperationResponse = exports.DescribeClusterOperationResponse || (exports.DescribeClusterOperationResponse = {}));
var DescribeClusterV2Request;
(function (DescribeClusterV2Request) {
    DescribeClusterV2Request.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeClusterV2Request = exports.DescribeClusterV2Request || (exports.DescribeClusterV2Request = {}));
var DescribeClusterV2Response;
(function (DescribeClusterV2Response) {
    DescribeClusterV2Response.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeClusterV2Response = exports.DescribeClusterV2Response || (exports.DescribeClusterV2Response = {}));
var DescribeConfigurationRequest;
(function (DescribeConfigurationRequest) {
    DescribeConfigurationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeConfigurationRequest = exports.DescribeConfigurationRequest || (exports.DescribeConfigurationRequest = {}));
var DescribeConfigurationResponse;
(function (DescribeConfigurationResponse) {
    DescribeConfigurationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeConfigurationResponse = exports.DescribeConfigurationResponse || (exports.DescribeConfigurationResponse = {}));
var DescribeConfigurationRevisionRequest;
(function (DescribeConfigurationRevisionRequest) {
    DescribeConfigurationRevisionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeConfigurationRevisionRequest = exports.DescribeConfigurationRevisionRequest || (exports.DescribeConfigurationRevisionRequest = {}));
var DescribeConfigurationRevisionResponse;
(function (DescribeConfigurationRevisionResponse) {
    DescribeConfigurationRevisionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeConfigurationRevisionResponse = exports.DescribeConfigurationRevisionResponse || (exports.DescribeConfigurationRevisionResponse = {}));
var GetBootstrapBrokersRequest;
(function (GetBootstrapBrokersRequest) {
    GetBootstrapBrokersRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetBootstrapBrokersRequest = exports.GetBootstrapBrokersRequest || (exports.GetBootstrapBrokersRequest = {}));
var GetBootstrapBrokersResponse;
(function (GetBootstrapBrokersResponse) {
    GetBootstrapBrokersResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetBootstrapBrokersResponse = exports.GetBootstrapBrokersResponse || (exports.GetBootstrapBrokersResponse = {}));
var GetCompatibleKafkaVersionsRequest;
(function (GetCompatibleKafkaVersionsRequest) {
    GetCompatibleKafkaVersionsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetCompatibleKafkaVersionsRequest = exports.GetCompatibleKafkaVersionsRequest || (exports.GetCompatibleKafkaVersionsRequest = {}));
var GetCompatibleKafkaVersionsResponse;
(function (GetCompatibleKafkaVersionsResponse) {
    GetCompatibleKafkaVersionsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetCompatibleKafkaVersionsResponse = exports.GetCompatibleKafkaVersionsResponse || (exports.GetCompatibleKafkaVersionsResponse = {}));
var ListClusterOperationsRequest;
(function (ListClusterOperationsRequest) {
    ListClusterOperationsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListClusterOperationsRequest = exports.ListClusterOperationsRequest || (exports.ListClusterOperationsRequest = {}));
var ListClusterOperationsResponse;
(function (ListClusterOperationsResponse) {
    ListClusterOperationsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListClusterOperationsResponse = exports.ListClusterOperationsResponse || (exports.ListClusterOperationsResponse = {}));
var ListClustersRequest;
(function (ListClustersRequest) {
    ListClustersRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListClustersRequest = exports.ListClustersRequest || (exports.ListClustersRequest = {}));
var ListClustersResponse;
(function (ListClustersResponse) {
    ListClustersResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListClustersResponse = exports.ListClustersResponse || (exports.ListClustersResponse = {}));
var ListClustersV2Request;
(function (ListClustersV2Request) {
    ListClustersV2Request.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListClustersV2Request = exports.ListClustersV2Request || (exports.ListClustersV2Request = {}));
var ListClustersV2Response;
(function (ListClustersV2Response) {
    ListClustersV2Response.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListClustersV2Response = exports.ListClustersV2Response || (exports.ListClustersV2Response = {}));
var ListConfigurationRevisionsRequest;
(function (ListConfigurationRevisionsRequest) {
    ListConfigurationRevisionsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListConfigurationRevisionsRequest = exports.ListConfigurationRevisionsRequest || (exports.ListConfigurationRevisionsRequest = {}));
var ListConfigurationRevisionsResponse;
(function (ListConfigurationRevisionsResponse) {
    ListConfigurationRevisionsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListConfigurationRevisionsResponse = exports.ListConfigurationRevisionsResponse || (exports.ListConfigurationRevisionsResponse = {}));
var ListConfigurationsRequest;
(function (ListConfigurationsRequest) {
    ListConfigurationsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListConfigurationsRequest = exports.ListConfigurationsRequest || (exports.ListConfigurationsRequest = {}));
var ListConfigurationsResponse;
(function (ListConfigurationsResponse) {
    ListConfigurationsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListConfigurationsResponse = exports.ListConfigurationsResponse || (exports.ListConfigurationsResponse = {}));
var ListKafkaVersionsRequest;
(function (ListKafkaVersionsRequest) {
    ListKafkaVersionsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListKafkaVersionsRequest = exports.ListKafkaVersionsRequest || (exports.ListKafkaVersionsRequest = {}));
var ListKafkaVersionsResponse;
(function (ListKafkaVersionsResponse) {
    ListKafkaVersionsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListKafkaVersionsResponse = exports.ListKafkaVersionsResponse || (exports.ListKafkaVersionsResponse = {}));
var ListNodesRequest;
(function (ListNodesRequest) {
    ListNodesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListNodesRequest = exports.ListNodesRequest || (exports.ListNodesRequest = {}));
var ListNodesResponse;
(function (ListNodesResponse) {
    ListNodesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListNodesResponse = exports.ListNodesResponse || (exports.ListNodesResponse = {}));
var ListScramSecretsRequest;
(function (ListScramSecretsRequest) {
    ListScramSecretsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListScramSecretsRequest = exports.ListScramSecretsRequest || (exports.ListScramSecretsRequest = {}));
var ListScramSecretsResponse;
(function (ListScramSecretsResponse) {
    ListScramSecretsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListScramSecretsResponse = exports.ListScramSecretsResponse || (exports.ListScramSecretsResponse = {}));
var ListTagsForResourceRequest;
(function (ListTagsForResourceRequest) {
    ListTagsForResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceRequest = exports.ListTagsForResourceRequest || (exports.ListTagsForResourceRequest = {}));
var ListTagsForResourceResponse;
(function (ListTagsForResourceResponse) {
    ListTagsForResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceResponse = exports.ListTagsForResourceResponse || (exports.ListTagsForResourceResponse = {}));
var RebootBrokerRequest;
(function (RebootBrokerRequest) {
    RebootBrokerRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RebootBrokerRequest = exports.RebootBrokerRequest || (exports.RebootBrokerRequest = {}));
var RebootBrokerResponse;
(function (RebootBrokerResponse) {
    RebootBrokerResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RebootBrokerResponse = exports.RebootBrokerResponse || (exports.RebootBrokerResponse = {}));
var TagResourceRequest;
(function (TagResourceRequest) {
    TagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceRequest = exports.TagResourceRequest || (exports.TagResourceRequest = {}));
var UntagResourceRequest;
(function (UntagResourceRequest) {
    UntagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceRequest = exports.UntagResourceRequest || (exports.UntagResourceRequest = {}));
var UpdateBrokerCountRequest;
(function (UpdateBrokerCountRequest) {
    UpdateBrokerCountRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateBrokerCountRequest = exports.UpdateBrokerCountRequest || (exports.UpdateBrokerCountRequest = {}));
var UpdateBrokerCountResponse;
(function (UpdateBrokerCountResponse) {
    UpdateBrokerCountResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateBrokerCountResponse = exports.UpdateBrokerCountResponse || (exports.UpdateBrokerCountResponse = {}));
var UpdateBrokerStorageRequest;
(function (UpdateBrokerStorageRequest) {
    UpdateBrokerStorageRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateBrokerStorageRequest = exports.UpdateBrokerStorageRequest || (exports.UpdateBrokerStorageRequest = {}));
var UpdateBrokerStorageResponse;
(function (UpdateBrokerStorageResponse) {
    UpdateBrokerStorageResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateBrokerStorageResponse = exports.UpdateBrokerStorageResponse || (exports.UpdateBrokerStorageResponse = {}));
var UpdateBrokerTypeRequest;
(function (UpdateBrokerTypeRequest) {
    UpdateBrokerTypeRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateBrokerTypeRequest = exports.UpdateBrokerTypeRequest || (exports.UpdateBrokerTypeRequest = {}));
var UpdateBrokerTypeResponse;
(function (UpdateBrokerTypeResponse) {
    UpdateBrokerTypeResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateBrokerTypeResponse = exports.UpdateBrokerTypeResponse || (exports.UpdateBrokerTypeResponse = {}));
var UpdateClusterConfigurationRequest;
(function (UpdateClusterConfigurationRequest) {
    UpdateClusterConfigurationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateClusterConfigurationRequest = exports.UpdateClusterConfigurationRequest || (exports.UpdateClusterConfigurationRequest = {}));
var UpdateClusterConfigurationResponse;
(function (UpdateClusterConfigurationResponse) {
    UpdateClusterConfigurationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateClusterConfigurationResponse = exports.UpdateClusterConfigurationResponse || (exports.UpdateClusterConfigurationResponse = {}));
var UpdateClusterKafkaVersionRequest;
(function (UpdateClusterKafkaVersionRequest) {
    UpdateClusterKafkaVersionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateClusterKafkaVersionRequest = exports.UpdateClusterKafkaVersionRequest || (exports.UpdateClusterKafkaVersionRequest = {}));
var UpdateClusterKafkaVersionResponse;
(function (UpdateClusterKafkaVersionResponse) {
    UpdateClusterKafkaVersionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateClusterKafkaVersionResponse = exports.UpdateClusterKafkaVersionResponse || (exports.UpdateClusterKafkaVersionResponse = {}));
var UpdateConfigurationRequest;
(function (UpdateConfigurationRequest) {
    UpdateConfigurationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateConfigurationRequest = exports.UpdateConfigurationRequest || (exports.UpdateConfigurationRequest = {}));
var UpdateConfigurationResponse;
(function (UpdateConfigurationResponse) {
    UpdateConfigurationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateConfigurationResponse = exports.UpdateConfigurationResponse || (exports.UpdateConfigurationResponse = {}));
var UpdateConnectivityRequest;
(function (UpdateConnectivityRequest) {
    UpdateConnectivityRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateConnectivityRequest = exports.UpdateConnectivityRequest || (exports.UpdateConnectivityRequest = {}));
var UpdateConnectivityResponse;
(function (UpdateConnectivityResponse) {
    UpdateConnectivityResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateConnectivityResponse = exports.UpdateConnectivityResponse || (exports.UpdateConnectivityResponse = {}));
var UpdateMonitoringRequest;
(function (UpdateMonitoringRequest) {
    UpdateMonitoringRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateMonitoringRequest = exports.UpdateMonitoringRequest || (exports.UpdateMonitoringRequest = {}));
var UpdateMonitoringResponse;
(function (UpdateMonitoringResponse) {
    UpdateMonitoringResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateMonitoringResponse = exports.UpdateMonitoringResponse || (exports.UpdateMonitoringResponse = {}));
var UpdateSecurityRequest;
(function (UpdateSecurityRequest) {
    UpdateSecurityRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateSecurityRequest = exports.UpdateSecurityRequest || (exports.UpdateSecurityRequest = {}));
var UpdateSecurityResponse;
(function (UpdateSecurityResponse) {
    UpdateSecurityResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateSecurityResponse = exports.UpdateSecurityResponse || (exports.UpdateSecurityResponse = {}));
