"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateListKafkaVersions = void 0;
const ListKafkaVersionsCommand_1 = require("../commands/ListKafkaVersionsCommand");
const Kafka_1 = require("../Kafka");
const KafkaClient_1 = require("../KafkaClient");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListKafkaVersionsCommand_1.ListKafkaVersionsCommand(input), ...args);
};
const makePagedRequest = async (client, input, ...args) => {
    return await client.listKafkaVersions(input, ...args);
};
async function* paginateListKafkaVersions(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        input["MaxResults"] = config.pageSize;
        if (config.client instanceof Kafka_1.Kafka) {
            page = await makePagedRequest(config.client, input, ...additionalArguments);
        }
        else if (config.client instanceof KafkaClient_1.KafkaClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected Kafka | KafkaClient");
        }
        yield page;
        token = page.NextToken;
        hasNext = !!token;
    }
    return undefined;
}
exports.paginateListKafkaVersions = paginateListKafkaVersions;
