import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchAssociateScramSecretRequest, BatchAssociateScramSecretResponse } from "../models/models_0";
import { deserializeAws_restJson1BatchAssociateScramSecretCommand, serializeAws_restJson1BatchAssociateScramSecretCommand, } from "../protocols/Aws_restJson1";
var BatchAssociateScramSecretCommand = (function (_super) {
    __extends(BatchAssociateScramSecretCommand, _super);
    function BatchAssociateScramSecretCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchAssociateScramSecretCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "BatchAssociateScramSecretCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchAssociateScramSecretRequest.filterSensitiveLog,
            outputFilterSensitiveLog: BatchAssociateScramSecretResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchAssociateScramSecretCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1BatchAssociateScramSecretCommand(input, context);
    };
    BatchAssociateScramSecretCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1BatchAssociateScramSecretCommand(output, context);
    };
    return BatchAssociateScramSecretCommand;
}($Command));
export { BatchAssociateScramSecretCommand };
