import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchDisassociateScramSecretRequest, BatchDisassociateScramSecretResponse } from "../models/models_0";
import { deserializeAws_restJson1BatchDisassociateScramSecretCommand, serializeAws_restJson1BatchDisassociateScramSecretCommand, } from "../protocols/Aws_restJson1";
var BatchDisassociateScramSecretCommand = (function (_super) {
    __extends(BatchDisassociateScramSecretCommand, _super);
    function BatchDisassociateScramSecretCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchDisassociateScramSecretCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "BatchDisassociateScramSecretCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchDisassociateScramSecretRequest.filterSensitiveLog,
            outputFilterSensitiveLog: BatchDisassociateScramSecretResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchDisassociateScramSecretCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1BatchDisassociateScramSecretCommand(input, context);
    };
    BatchDisassociateScramSecretCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1BatchDisassociateScramSecretCommand(output, context);
    };
    return BatchDisassociateScramSecretCommand;
}($Command));
export { BatchDisassociateScramSecretCommand };
