import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateClusterV2Request, CreateClusterV2Response } from "../models/models_0";
import { deserializeAws_restJson1CreateClusterV2Command, serializeAws_restJson1CreateClusterV2Command, } from "../protocols/Aws_restJson1";
var CreateClusterV2Command = (function (_super) {
    __extends(CreateClusterV2Command, _super);
    function CreateClusterV2Command(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateClusterV2Command.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "CreateClusterV2Command";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateClusterV2Request.filterSensitiveLog,
            outputFilterSensitiveLog: CreateClusterV2Response.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateClusterV2Command.prototype.serialize = function (input, context) {
        return serializeAws_restJson1CreateClusterV2Command(input, context);
    };
    CreateClusterV2Command.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1CreateClusterV2Command(output, context);
    };
    return CreateClusterV2Command;
}($Command));
export { CreateClusterV2Command };
