import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteConfigurationRequest, DeleteConfigurationResponse } from "../models/models_0";
import { deserializeAws_restJson1DeleteConfigurationCommand, serializeAws_restJson1DeleteConfigurationCommand, } from "../protocols/Aws_restJson1";
var DeleteConfigurationCommand = (function (_super) {
    __extends(DeleteConfigurationCommand, _super);
    function DeleteConfigurationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "DeleteConfigurationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteConfigurationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteConfigurationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteConfigurationCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DeleteConfigurationCommand(input, context);
    };
    DeleteConfigurationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DeleteConfigurationCommand(output, context);
    };
    return DeleteConfigurationCommand;
}($Command));
export { DeleteConfigurationCommand };
