import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeClusterRequest, DescribeClusterResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeClusterCommand, serializeAws_restJson1DescribeClusterCommand, } from "../protocols/Aws_restJson1";
var DescribeClusterCommand = (function (_super) {
    __extends(DescribeClusterCommand, _super);
    function DescribeClusterCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "DescribeClusterCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeClusterRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeClusterResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeClusterCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeClusterCommand(input, context);
    };
    DescribeClusterCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeClusterCommand(output, context);
    };
    return DescribeClusterCommand;
}($Command));
export { DescribeClusterCommand };
