import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeClusterV2Request, DescribeClusterV2Response } from "../models/models_0";
import { deserializeAws_restJson1DescribeClusterV2Command, serializeAws_restJson1DescribeClusterV2Command, } from "../protocols/Aws_restJson1";
var DescribeClusterV2Command = (function (_super) {
    __extends(DescribeClusterV2Command, _super);
    function DescribeClusterV2Command(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeClusterV2Command.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "DescribeClusterV2Command";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeClusterV2Request.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeClusterV2Response.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeClusterV2Command.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeClusterV2Command(input, context);
    };
    DescribeClusterV2Command.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeClusterV2Command(output, context);
    };
    return DescribeClusterV2Command;
}($Command));
export { DescribeClusterV2Command };
