import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeConfigurationRequest, DescribeConfigurationResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeConfigurationCommand, serializeAws_restJson1DescribeConfigurationCommand, } from "../protocols/Aws_restJson1";
var DescribeConfigurationCommand = (function (_super) {
    __extends(DescribeConfigurationCommand, _super);
    function DescribeConfigurationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "DescribeConfigurationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeConfigurationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeConfigurationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeConfigurationCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeConfigurationCommand(input, context);
    };
    DescribeConfigurationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeConfigurationCommand(output, context);
    };
    return DescribeConfigurationCommand;
}($Command));
export { DescribeConfigurationCommand };
