import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeConfigurationRevisionRequest, DescribeConfigurationRevisionResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeConfigurationRevisionCommand, serializeAws_restJson1DescribeConfigurationRevisionCommand, } from "../protocols/Aws_restJson1";
var DescribeConfigurationRevisionCommand = (function (_super) {
    __extends(DescribeConfigurationRevisionCommand, _super);
    function DescribeConfigurationRevisionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeConfigurationRevisionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "DescribeConfigurationRevisionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeConfigurationRevisionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeConfigurationRevisionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeConfigurationRevisionCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeConfigurationRevisionCommand(input, context);
    };
    DescribeConfigurationRevisionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeConfigurationRevisionCommand(output, context);
    };
    return DescribeConfigurationRevisionCommand;
}($Command));
export { DescribeConfigurationRevisionCommand };
