import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetBootstrapBrokersRequest, GetBootstrapBrokersResponse } from "../models/models_0";
import { deserializeAws_restJson1GetBootstrapBrokersCommand, serializeAws_restJson1GetBootstrapBrokersCommand, } from "../protocols/Aws_restJson1";
var GetBootstrapBrokersCommand = (function (_super) {
    __extends(GetBootstrapBrokersCommand, _super);
    function GetBootstrapBrokersCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetBootstrapBrokersCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "GetBootstrapBrokersCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetBootstrapBrokersRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetBootstrapBrokersResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetBootstrapBrokersCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1GetBootstrapBrokersCommand(input, context);
    };
    GetBootstrapBrokersCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1GetBootstrapBrokersCommand(output, context);
    };
    return GetBootstrapBrokersCommand;
}($Command));
export { GetBootstrapBrokersCommand };
