import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetCompatibleKafkaVersionsRequest, GetCompatibleKafkaVersionsResponse } from "../models/models_0";
import { deserializeAws_restJson1GetCompatibleKafkaVersionsCommand, serializeAws_restJson1GetCompatibleKafkaVersionsCommand, } from "../protocols/Aws_restJson1";
var GetCompatibleKafkaVersionsCommand = (function (_super) {
    __extends(GetCompatibleKafkaVersionsCommand, _super);
    function GetCompatibleKafkaVersionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetCompatibleKafkaVersionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "GetCompatibleKafkaVersionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetCompatibleKafkaVersionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetCompatibleKafkaVersionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetCompatibleKafkaVersionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1GetCompatibleKafkaVersionsCommand(input, context);
    };
    GetCompatibleKafkaVersionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1GetCompatibleKafkaVersionsCommand(output, context);
    };
    return GetCompatibleKafkaVersionsCommand;
}($Command));
export { GetCompatibleKafkaVersionsCommand };
