import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListClusterOperationsRequest, ListClusterOperationsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListClusterOperationsCommand, serializeAws_restJson1ListClusterOperationsCommand, } from "../protocols/Aws_restJson1";
var ListClusterOperationsCommand = (function (_super) {
    __extends(ListClusterOperationsCommand, _super);
    function ListClusterOperationsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListClusterOperationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "ListClusterOperationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListClusterOperationsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListClusterOperationsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListClusterOperationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListClusterOperationsCommand(input, context);
    };
    ListClusterOperationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListClusterOperationsCommand(output, context);
    };
    return ListClusterOperationsCommand;
}($Command));
export { ListClusterOperationsCommand };
