import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListClustersV2Request, ListClustersV2Response } from "../models/models_0";
import { deserializeAws_restJson1ListClustersV2Command, serializeAws_restJson1ListClustersV2Command, } from "../protocols/Aws_restJson1";
var ListClustersV2Command = (function (_super) {
    __extends(ListClustersV2Command, _super);
    function ListClustersV2Command(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListClustersV2Command.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "ListClustersV2Command";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListClustersV2Request.filterSensitiveLog,
            outputFilterSensitiveLog: ListClustersV2Response.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListClustersV2Command.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListClustersV2Command(input, context);
    };
    ListClustersV2Command.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListClustersV2Command(output, context);
    };
    return ListClustersV2Command;
}($Command));
export { ListClustersV2Command };
