import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListConfigurationRevisionsRequest, ListConfigurationRevisionsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListConfigurationRevisionsCommand, serializeAws_restJson1ListConfigurationRevisionsCommand, } from "../protocols/Aws_restJson1";
var ListConfigurationRevisionsCommand = (function (_super) {
    __extends(ListConfigurationRevisionsCommand, _super);
    function ListConfigurationRevisionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListConfigurationRevisionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "ListConfigurationRevisionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListConfigurationRevisionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListConfigurationRevisionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListConfigurationRevisionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListConfigurationRevisionsCommand(input, context);
    };
    ListConfigurationRevisionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListConfigurationRevisionsCommand(output, context);
    };
    return ListConfigurationRevisionsCommand;
}($Command));
export { ListConfigurationRevisionsCommand };
