import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListNodesRequest, ListNodesResponse } from "../models/models_0";
import { deserializeAws_restJson1ListNodesCommand, serializeAws_restJson1ListNodesCommand, } from "../protocols/Aws_restJson1";
var ListNodesCommand = (function (_super) {
    __extends(ListNodesCommand, _super);
    function ListNodesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListNodesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "ListNodesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListNodesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListNodesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListNodesCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListNodesCommand(input, context);
    };
    ListNodesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListNodesCommand(output, context);
    };
    return ListNodesCommand;
}($Command));
export { ListNodesCommand };
