import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListScramSecretsRequest, ListScramSecretsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListScramSecretsCommand, serializeAws_restJson1ListScramSecretsCommand, } from "../protocols/Aws_restJson1";
var ListScramSecretsCommand = (function (_super) {
    __extends(ListScramSecretsCommand, _super);
    function ListScramSecretsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListScramSecretsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "ListScramSecretsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListScramSecretsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListScramSecretsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListScramSecretsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListScramSecretsCommand(input, context);
    };
    ListScramSecretsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListScramSecretsCommand(output, context);
    };
    return ListScramSecretsCommand;
}($Command));
export { ListScramSecretsCommand };
