import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RebootBrokerRequest, RebootBrokerResponse } from "../models/models_0";
import { deserializeAws_restJson1RebootBrokerCommand, serializeAws_restJson1RebootBrokerCommand, } from "../protocols/Aws_restJson1";
var RebootBrokerCommand = (function (_super) {
    __extends(RebootBrokerCommand, _super);
    function RebootBrokerCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RebootBrokerCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "RebootBrokerCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RebootBrokerRequest.filterSensitiveLog,
            outputFilterSensitiveLog: RebootBrokerResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RebootBrokerCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1RebootBrokerCommand(input, context);
    };
    RebootBrokerCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1RebootBrokerCommand(output, context);
    };
    return RebootBrokerCommand;
}($Command));
export { RebootBrokerCommand };
