import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateBrokerCountRequest, UpdateBrokerCountResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateBrokerCountCommand, serializeAws_restJson1UpdateBrokerCountCommand, } from "../protocols/Aws_restJson1";
var UpdateBrokerCountCommand = (function (_super) {
    __extends(UpdateBrokerCountCommand, _super);
    function UpdateBrokerCountCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateBrokerCountCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "UpdateBrokerCountCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateBrokerCountRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateBrokerCountResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateBrokerCountCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateBrokerCountCommand(input, context);
    };
    UpdateBrokerCountCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateBrokerCountCommand(output, context);
    };
    return UpdateBrokerCountCommand;
}($Command));
export { UpdateBrokerCountCommand };
