import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateBrokerStorageRequest, UpdateBrokerStorageResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateBrokerStorageCommand, serializeAws_restJson1UpdateBrokerStorageCommand, } from "../protocols/Aws_restJson1";
var UpdateBrokerStorageCommand = (function (_super) {
    __extends(UpdateBrokerStorageCommand, _super);
    function UpdateBrokerStorageCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateBrokerStorageCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "UpdateBrokerStorageCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateBrokerStorageRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateBrokerStorageResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateBrokerStorageCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateBrokerStorageCommand(input, context);
    };
    UpdateBrokerStorageCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateBrokerStorageCommand(output, context);
    };
    return UpdateBrokerStorageCommand;
}($Command));
export { UpdateBrokerStorageCommand };
