import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateBrokerTypeRequest, UpdateBrokerTypeResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateBrokerTypeCommand, serializeAws_restJson1UpdateBrokerTypeCommand, } from "../protocols/Aws_restJson1";
var UpdateBrokerTypeCommand = (function (_super) {
    __extends(UpdateBrokerTypeCommand, _super);
    function UpdateBrokerTypeCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateBrokerTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "UpdateBrokerTypeCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateBrokerTypeRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateBrokerTypeResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateBrokerTypeCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateBrokerTypeCommand(input, context);
    };
    UpdateBrokerTypeCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateBrokerTypeCommand(output, context);
    };
    return UpdateBrokerTypeCommand;
}($Command));
export { UpdateBrokerTypeCommand };
