import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateClusterConfigurationRequest, UpdateClusterConfigurationResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateClusterConfigurationCommand, serializeAws_restJson1UpdateClusterConfigurationCommand, } from "../protocols/Aws_restJson1";
var UpdateClusterConfigurationCommand = (function (_super) {
    __extends(UpdateClusterConfigurationCommand, _super);
    function UpdateClusterConfigurationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateClusterConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "UpdateClusterConfigurationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateClusterConfigurationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateClusterConfigurationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateClusterConfigurationCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateClusterConfigurationCommand(input, context);
    };
    UpdateClusterConfigurationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateClusterConfigurationCommand(output, context);
    };
    return UpdateClusterConfigurationCommand;
}($Command));
export { UpdateClusterConfigurationCommand };
