import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateClusterKafkaVersionRequest, UpdateClusterKafkaVersionResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateClusterKafkaVersionCommand, serializeAws_restJson1UpdateClusterKafkaVersionCommand, } from "../protocols/Aws_restJson1";
var UpdateClusterKafkaVersionCommand = (function (_super) {
    __extends(UpdateClusterKafkaVersionCommand, _super);
    function UpdateClusterKafkaVersionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateClusterKafkaVersionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "UpdateClusterKafkaVersionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateClusterKafkaVersionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateClusterKafkaVersionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateClusterKafkaVersionCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateClusterKafkaVersionCommand(input, context);
    };
    UpdateClusterKafkaVersionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateClusterKafkaVersionCommand(output, context);
    };
    return UpdateClusterKafkaVersionCommand;
}($Command));
export { UpdateClusterKafkaVersionCommand };
