import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateConfigurationRequest, UpdateConfigurationResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateConfigurationCommand, serializeAws_restJson1UpdateConfigurationCommand, } from "../protocols/Aws_restJson1";
var UpdateConfigurationCommand = (function (_super) {
    __extends(UpdateConfigurationCommand, _super);
    function UpdateConfigurationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "UpdateConfigurationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateConfigurationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateConfigurationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateConfigurationCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateConfigurationCommand(input, context);
    };
    UpdateConfigurationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateConfigurationCommand(output, context);
    };
    return UpdateConfigurationCommand;
}($Command));
export { UpdateConfigurationCommand };
