import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateConnectivityRequest, UpdateConnectivityResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateConnectivityCommand, serializeAws_restJson1UpdateConnectivityCommand, } from "../protocols/Aws_restJson1";
var UpdateConnectivityCommand = (function (_super) {
    __extends(UpdateConnectivityCommand, _super);
    function UpdateConnectivityCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateConnectivityCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "UpdateConnectivityCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateConnectivityRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateConnectivityResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateConnectivityCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateConnectivityCommand(input, context);
    };
    UpdateConnectivityCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateConnectivityCommand(output, context);
    };
    return UpdateConnectivityCommand;
}($Command));
export { UpdateConnectivityCommand };
