import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateMonitoringRequest, UpdateMonitoringResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateMonitoringCommand, serializeAws_restJson1UpdateMonitoringCommand, } from "../protocols/Aws_restJson1";
var UpdateMonitoringCommand = (function (_super) {
    __extends(UpdateMonitoringCommand, _super);
    function UpdateMonitoringCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateMonitoringCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "UpdateMonitoringCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateMonitoringRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateMonitoringResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateMonitoringCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateMonitoringCommand(input, context);
    };
    UpdateMonitoringCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateMonitoringCommand(output, context);
    };
    return UpdateMonitoringCommand;
}($Command));
export { UpdateMonitoringCommand };
