import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateSecurityRequest, UpdateSecurityResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateSecurityCommand, serializeAws_restJson1UpdateSecurityCommand, } from "../protocols/Aws_restJson1";
var UpdateSecurityCommand = (function (_super) {
    __extends(UpdateSecurityCommand, _super);
    function UpdateSecurityCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateSecurityCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "KafkaClient";
        var commandName = "UpdateSecurityCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateSecurityRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateSecurityResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateSecurityCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateSecurityCommand(input, context);
    };
    UpdateSecurityCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateSecurityCommand(output, context);
    };
    return UpdateSecurityCommand;
}($Command));
export { UpdateSecurityCommand };
