import { EndpointsInputConfig, EndpointsResolvedConfig, RegionInputConfig, RegionResolvedConfig } from "@aws-sdk/config-resolver";
import { HostHeaderInputConfig, HostHeaderResolvedConfig } from "@aws-sdk/middleware-host-header";
import { RetryInputConfig, RetryResolvedConfig } from "@aws-sdk/middleware-retry";
import { AwsAuthInputConfig, AwsAuthResolvedConfig } from "@aws-sdk/middleware-signing";
import { UserAgentInputConfig, UserAgentResolvedConfig } from "@aws-sdk/middleware-user-agent";
import { HttpHandler as __HttpHandler } from "@aws-sdk/protocol-http";
import { Client as __Client, DefaultsMode, SmithyConfiguration as __SmithyConfiguration, SmithyResolvedConfiguration as __SmithyResolvedConfiguration } from "@aws-sdk/smithy-client";
import { BodyLengthCalculator as __BodyLengthCalculator, Credentials as __Credentials, Decoder as __Decoder, Encoder as __Encoder, HashConstructor as __HashConstructor, HttpHandlerOptions as __HttpHandlerOptions, Logger as __Logger, Provider as __Provider, Provider, RegionInfoProvider, StreamCollector as __StreamCollector, UrlParser as __UrlParser, UserAgent as __UserAgent } from "@aws-sdk/types";
import { BatchAssociateScramSecretCommandInput, BatchAssociateScramSecretCommandOutput } from "./commands/BatchAssociateScramSecretCommand";
import { BatchDisassociateScramSecretCommandInput, BatchDisassociateScramSecretCommandOutput } from "./commands/BatchDisassociateScramSecretCommand";
import { CreateClusterCommandInput, CreateClusterCommandOutput } from "./commands/CreateClusterCommand";
import { CreateClusterV2CommandInput, CreateClusterV2CommandOutput } from "./commands/CreateClusterV2Command";
import { CreateConfigurationCommandInput, CreateConfigurationCommandOutput } from "./commands/CreateConfigurationCommand";
import { DeleteClusterCommandInput, DeleteClusterCommandOutput } from "./commands/DeleteClusterCommand";
import { DeleteConfigurationCommandInput, DeleteConfigurationCommandOutput } from "./commands/DeleteConfigurationCommand";
import { DescribeClusterCommandInput, DescribeClusterCommandOutput } from "./commands/DescribeClusterCommand";
import { DescribeClusterOperationCommandInput, DescribeClusterOperationCommandOutput } from "./commands/DescribeClusterOperationCommand";
import { DescribeClusterV2CommandInput, DescribeClusterV2CommandOutput } from "./commands/DescribeClusterV2Command";
import { DescribeConfigurationCommandInput, DescribeConfigurationCommandOutput } from "./commands/DescribeConfigurationCommand";
import { DescribeConfigurationRevisionCommandInput, DescribeConfigurationRevisionCommandOutput } from "./commands/DescribeConfigurationRevisionCommand";
import { GetBootstrapBrokersCommandInput, GetBootstrapBrokersCommandOutput } from "./commands/GetBootstrapBrokersCommand";
import { GetCompatibleKafkaVersionsCommandInput, GetCompatibleKafkaVersionsCommandOutput } from "./commands/GetCompatibleKafkaVersionsCommand";
import { ListClusterOperationsCommandInput, ListClusterOperationsCommandOutput } from "./commands/ListClusterOperationsCommand";
import { ListClustersCommandInput, ListClustersCommandOutput } from "./commands/ListClustersCommand";
import { ListClustersV2CommandInput, ListClustersV2CommandOutput } from "./commands/ListClustersV2Command";
import { ListConfigurationRevisionsCommandInput, ListConfigurationRevisionsCommandOutput } from "./commands/ListConfigurationRevisionsCommand";
import { ListConfigurationsCommandInput, ListConfigurationsCommandOutput } from "./commands/ListConfigurationsCommand";
import { ListKafkaVersionsCommandInput, ListKafkaVersionsCommandOutput } from "./commands/ListKafkaVersionsCommand";
import { ListNodesCommandInput, ListNodesCommandOutput } from "./commands/ListNodesCommand";
import { ListScramSecretsCommandInput, ListScramSecretsCommandOutput } from "./commands/ListScramSecretsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "./commands/ListTagsForResourceCommand";
import { RebootBrokerCommandInput, RebootBrokerCommandOutput } from "./commands/RebootBrokerCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { UpdateBrokerCountCommandInput, UpdateBrokerCountCommandOutput } from "./commands/UpdateBrokerCountCommand";
import { UpdateBrokerStorageCommandInput, UpdateBrokerStorageCommandOutput } from "./commands/UpdateBrokerStorageCommand";
import { UpdateBrokerTypeCommandInput, UpdateBrokerTypeCommandOutput } from "./commands/UpdateBrokerTypeCommand";
import { UpdateClusterConfigurationCommandInput, UpdateClusterConfigurationCommandOutput } from "./commands/UpdateClusterConfigurationCommand";
import { UpdateClusterKafkaVersionCommandInput, UpdateClusterKafkaVersionCommandOutput } from "./commands/UpdateClusterKafkaVersionCommand";
import { UpdateConfigurationCommandInput, UpdateConfigurationCommandOutput } from "./commands/UpdateConfigurationCommand";
import { UpdateConnectivityCommandInput, UpdateConnectivityCommandOutput } from "./commands/UpdateConnectivityCommand";
import { UpdateMonitoringCommandInput, UpdateMonitoringCommandOutput } from "./commands/UpdateMonitoringCommand";
import { UpdateSecurityCommandInput, UpdateSecurityCommandOutput } from "./commands/UpdateSecurityCommand";
export declare type ServiceInputTypes = BatchAssociateScramSecretCommandInput | BatchDisassociateScramSecretCommandInput | CreateClusterCommandInput | CreateClusterV2CommandInput | CreateConfigurationCommandInput | DeleteClusterCommandInput | DeleteConfigurationCommandInput | DescribeClusterCommandInput | DescribeClusterOperationCommandInput | DescribeClusterV2CommandInput | DescribeConfigurationCommandInput | DescribeConfigurationRevisionCommandInput | GetBootstrapBrokersCommandInput | GetCompatibleKafkaVersionsCommandInput | ListClusterOperationsCommandInput | ListClustersCommandInput | ListClustersV2CommandInput | ListConfigurationRevisionsCommandInput | ListConfigurationsCommandInput | ListKafkaVersionsCommandInput | ListNodesCommandInput | ListScramSecretsCommandInput | ListTagsForResourceCommandInput | RebootBrokerCommandInput | TagResourceCommandInput | UntagResourceCommandInput | UpdateBrokerCountCommandInput | UpdateBrokerStorageCommandInput | UpdateBrokerTypeCommandInput | UpdateClusterConfigurationCommandInput | UpdateClusterKafkaVersionCommandInput | UpdateConfigurationCommandInput | UpdateConnectivityCommandInput | UpdateMonitoringCommandInput | UpdateSecurityCommandInput;
export declare type ServiceOutputTypes = BatchAssociateScramSecretCommandOutput | BatchDisassociateScramSecretCommandOutput | CreateClusterCommandOutput | CreateClusterV2CommandOutput | CreateConfigurationCommandOutput | DeleteClusterCommandOutput | DeleteConfigurationCommandOutput | DescribeClusterCommandOutput | DescribeClusterOperationCommandOutput | DescribeClusterV2CommandOutput | DescribeConfigurationCommandOutput | DescribeConfigurationRevisionCommandOutput | GetBootstrapBrokersCommandOutput | GetCompatibleKafkaVersionsCommandOutput | ListClusterOperationsCommandOutput | ListClustersCommandOutput | ListClustersV2CommandOutput | ListConfigurationRevisionsCommandOutput | ListConfigurationsCommandOutput | ListKafkaVersionsCommandOutput | ListNodesCommandOutput | ListScramSecretsCommandOutput | ListTagsForResourceCommandOutput | RebootBrokerCommandOutput | TagResourceCommandOutput | UntagResourceCommandOutput | UpdateBrokerCountCommandOutput | UpdateBrokerStorageCommandOutput | UpdateBrokerTypeCommandOutput | UpdateClusterConfigurationCommandOutput | UpdateClusterKafkaVersionCommandOutput | UpdateConfigurationCommandOutput | UpdateConnectivityCommandOutput | UpdateMonitoringCommandOutput | UpdateSecurityCommandOutput;
export interface ClientDefaults extends Partial<__SmithyResolvedConfiguration<__HttpHandlerOptions>> {
    /**
     * The HTTP handler to use. Fetch in browser and Https in Nodejs.
     */
    requestHandler?: __HttpHandler;
    /**
     * A constructor for a class implementing the {@link __Hash} interface
     * that computes the SHA-256 HMAC or checksum of a string or binary buffer.
     * @internal
     */
    sha256?: __HashConstructor;
    /**
     * The function that will be used to convert strings into HTTP endpoints.
     * @internal
     */
    urlParser?: __UrlParser;
    /**
     * A function that can calculate the length of a request body.
     * @internal
     */
    bodyLengthChecker?: __BodyLengthCalculator;
    /**
     * A function that converts a stream into an array of bytes.
     * @internal
     */
    streamCollector?: __StreamCollector;
    /**
     * The function that will be used to convert a base64-encoded string to a byte array.
     * @internal
     */
    base64Decoder?: __Decoder;
    /**
     * The function that will be used to convert binary data to a base64-encoded string.
     * @internal
     */
    base64Encoder?: __Encoder;
    /**
     * The function that will be used to convert a UTF8-encoded string to a byte array.
     * @internal
     */
    utf8Decoder?: __Decoder;
    /**
     * The function that will be used to convert binary data to a UTF-8 encoded string.
     * @internal
     */
    utf8Encoder?: __Encoder;
    /**
     * The runtime environment.
     * @internal
     */
    runtime?: string;
    /**
     * Disable dyanamically changing the endpoint of the client based on the hostPrefix
     * trait of an operation.
     */
    disableHostPrefix?: boolean;
    /**
     * Value for how many times a request will be made at most in case of retry.
     */
    maxAttempts?: number | __Provider<number>;
    /**
     * Specifies which retry algorithm to use.
     */
    retryMode?: string | __Provider<string>;
    /**
     * Optional logger for logging debug/info/warn/error.
     */
    logger?: __Logger;
    /**
     * Enables IPv6/IPv4 dualstack endpoint.
     */
    useDualstackEndpoint?: boolean | __Provider<boolean>;
    /**
     * Enables FIPS compatible endpoints.
     */
    useFipsEndpoint?: boolean | __Provider<boolean>;
    /**
     * Unique service identifier.
     * @internal
     */
    serviceId?: string;
    /**
     * The AWS region to which this client will send requests
     */
    region?: string | __Provider<string>;
    /**
     * Default credentials provider; Not available in browser runtime.
     * @internal
     */
    credentialDefaultProvider?: (input: any) => __Provider<__Credentials>;
    /**
     * Fetch related hostname, signing name or signing region with given region.
     * @internal
     */
    regionInfoProvider?: RegionInfoProvider;
    /**
     * The provider populating default tracking information to be sent with `user-agent`, `x-amz-user-agent` header
     * @internal
     */
    defaultUserAgentProvider?: Provider<__UserAgent>;
    /**
     * The {@link DefaultsMode} that will be used to determine how certain default configuration options are resolved in the SDK.
     */
    defaultsMode?: DefaultsMode | Provider<DefaultsMode>;
}
declare type KafkaClientConfigType = Partial<__SmithyConfiguration<__HttpHandlerOptions>> & ClientDefaults & RegionInputConfig & EndpointsInputConfig & RetryInputConfig & HostHeaderInputConfig & AwsAuthInputConfig & UserAgentInputConfig;
/**
 * The configuration interface of KafkaClient class constructor that set the region, credentials and other options.
 */
export interface KafkaClientConfig extends KafkaClientConfigType {
}
declare type KafkaClientResolvedConfigType = __SmithyResolvedConfiguration<__HttpHandlerOptions> & Required<ClientDefaults> & RegionResolvedConfig & EndpointsResolvedConfig & RetryResolvedConfig & HostHeaderResolvedConfig & AwsAuthResolvedConfig & UserAgentResolvedConfig;
/**
 * The resolved configuration interface of KafkaClient class. This is resolved and normalized from the {@link KafkaClientConfig | constructor configuration interface}.
 */
export interface KafkaClientResolvedConfig extends KafkaClientResolvedConfigType {
}
/**
 * <p>The operations for managing an Amazon MSK cluster.</p>
 */
export declare class KafkaClient extends __Client<__HttpHandlerOptions, ServiceInputTypes, ServiceOutputTypes, KafkaClientResolvedConfig> {
    /**
     * The resolved configuration of KafkaClient class. This is resolved and normalized from the {@link KafkaClientConfig | constructor configuration interface}.
     */
    readonly config: KafkaClientResolvedConfig;
    constructor(configuration: KafkaClientConfig);
    /**
     * Destroy underlying resources, like sockets. It's usually not necessary to do this.
     * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
     * Otherwise, sockets might stay open for quite a long time before the server terminates them.
     */
    destroy(): void;
}
export {};
