import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { BatchAssociateScramSecretCommandInput, BatchAssociateScramSecretCommandOutput } from "../commands/BatchAssociateScramSecretCommand";
import { BatchDisassociateScramSecretCommandInput, BatchDisassociateScramSecretCommandOutput } from "../commands/BatchDisassociateScramSecretCommand";
import { CreateClusterCommandInput, CreateClusterCommandOutput } from "../commands/CreateClusterCommand";
import { CreateClusterV2CommandInput, CreateClusterV2CommandOutput } from "../commands/CreateClusterV2Command";
import { CreateConfigurationCommandInput, CreateConfigurationCommandOutput } from "../commands/CreateConfigurationCommand";
import { DeleteClusterCommandInput, DeleteClusterCommandOutput } from "../commands/DeleteClusterCommand";
import { DeleteConfigurationCommandInput, DeleteConfigurationCommandOutput } from "../commands/DeleteConfigurationCommand";
import { DescribeClusterCommandInput, DescribeClusterCommandOutput } from "../commands/DescribeClusterCommand";
import { DescribeClusterOperationCommandInput, DescribeClusterOperationCommandOutput } from "../commands/DescribeClusterOperationCommand";
import { DescribeClusterV2CommandInput, DescribeClusterV2CommandOutput } from "../commands/DescribeClusterV2Command";
import { DescribeConfigurationCommandInput, DescribeConfigurationCommandOutput } from "../commands/DescribeConfigurationCommand";
import { DescribeConfigurationRevisionCommandInput, DescribeConfigurationRevisionCommandOutput } from "../commands/DescribeConfigurationRevisionCommand";
import { GetBootstrapBrokersCommandInput, GetBootstrapBrokersCommandOutput } from "../commands/GetBootstrapBrokersCommand";
import { GetCompatibleKafkaVersionsCommandInput, GetCompatibleKafkaVersionsCommandOutput } from "../commands/GetCompatibleKafkaVersionsCommand";
import { ListClusterOperationsCommandInput, ListClusterOperationsCommandOutput } from "../commands/ListClusterOperationsCommand";
import { ListClustersCommandInput, ListClustersCommandOutput } from "../commands/ListClustersCommand";
import { ListClustersV2CommandInput, ListClustersV2CommandOutput } from "../commands/ListClustersV2Command";
import { ListConfigurationRevisionsCommandInput, ListConfigurationRevisionsCommandOutput } from "../commands/ListConfigurationRevisionsCommand";
import { ListConfigurationsCommandInput, ListConfigurationsCommandOutput } from "../commands/ListConfigurationsCommand";
import { ListKafkaVersionsCommandInput, ListKafkaVersionsCommandOutput } from "../commands/ListKafkaVersionsCommand";
import { ListNodesCommandInput, ListNodesCommandOutput } from "../commands/ListNodesCommand";
import { ListScramSecretsCommandInput, ListScramSecretsCommandOutput } from "../commands/ListScramSecretsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { RebootBrokerCommandInput, RebootBrokerCommandOutput } from "../commands/RebootBrokerCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateBrokerCountCommandInput, UpdateBrokerCountCommandOutput } from "../commands/UpdateBrokerCountCommand";
import { UpdateBrokerStorageCommandInput, UpdateBrokerStorageCommandOutput } from "../commands/UpdateBrokerStorageCommand";
import { UpdateBrokerTypeCommandInput, UpdateBrokerTypeCommandOutput } from "../commands/UpdateBrokerTypeCommand";
import { UpdateClusterConfigurationCommandInput, UpdateClusterConfigurationCommandOutput } from "../commands/UpdateClusterConfigurationCommand";
import { UpdateClusterKafkaVersionCommandInput, UpdateClusterKafkaVersionCommandOutput } from "../commands/UpdateClusterKafkaVersionCommand";
import { UpdateConfigurationCommandInput, UpdateConfigurationCommandOutput } from "../commands/UpdateConfigurationCommand";
import { UpdateConnectivityCommandInput, UpdateConnectivityCommandOutput } from "../commands/UpdateConnectivityCommand";
import { UpdateMonitoringCommandInput, UpdateMonitoringCommandOutput } from "../commands/UpdateMonitoringCommand";
import { UpdateSecurityCommandInput, UpdateSecurityCommandOutput } from "../commands/UpdateSecurityCommand";
export declare const serializeAws_restJson1BatchAssociateScramSecretCommand: (input: BatchAssociateScramSecretCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1BatchDisassociateScramSecretCommand: (input: BatchDisassociateScramSecretCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateClusterCommand: (input: CreateClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateClusterV2Command: (input: CreateClusterV2CommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateConfigurationCommand: (input: CreateConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteClusterCommand: (input: DeleteClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteConfigurationCommand: (input: DeleteConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeClusterCommand: (input: DescribeClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeClusterOperationCommand: (input: DescribeClusterOperationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeClusterV2Command: (input: DescribeClusterV2CommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeConfigurationCommand: (input: DescribeConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeConfigurationRevisionCommand: (input: DescribeConfigurationRevisionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetBootstrapBrokersCommand: (input: GetBootstrapBrokersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetCompatibleKafkaVersionsCommand: (input: GetCompatibleKafkaVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListClusterOperationsCommand: (input: ListClusterOperationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListClustersCommand: (input: ListClustersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListClustersV2Command: (input: ListClustersV2CommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListConfigurationRevisionsCommand: (input: ListConfigurationRevisionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListConfigurationsCommand: (input: ListConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListKafkaVersionsCommand: (input: ListKafkaVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListNodesCommand: (input: ListNodesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListScramSecretsCommand: (input: ListScramSecretsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1RebootBrokerCommand: (input: RebootBrokerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateBrokerCountCommand: (input: UpdateBrokerCountCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateBrokerStorageCommand: (input: UpdateBrokerStorageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateBrokerTypeCommand: (input: UpdateBrokerTypeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateClusterConfigurationCommand: (input: UpdateClusterConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateClusterKafkaVersionCommand: (input: UpdateClusterKafkaVersionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateConfigurationCommand: (input: UpdateConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateConnectivityCommand: (input: UpdateConnectivityCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateMonitoringCommand: (input: UpdateMonitoringCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateSecurityCommand: (input: UpdateSecurityCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_restJson1BatchAssociateScramSecretCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchAssociateScramSecretCommandOutput>;
export declare const deserializeAws_restJson1BatchDisassociateScramSecretCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchDisassociateScramSecretCommandOutput>;
export declare const deserializeAws_restJson1CreateClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateClusterCommandOutput>;
export declare const deserializeAws_restJson1CreateClusterV2Command: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateClusterV2CommandOutput>;
export declare const deserializeAws_restJson1CreateConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateConfigurationCommandOutput>;
export declare const deserializeAws_restJson1DeleteClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteClusterCommandOutput>;
export declare const deserializeAws_restJson1DeleteConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteConfigurationCommandOutput>;
export declare const deserializeAws_restJson1DescribeClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeClusterCommandOutput>;
export declare const deserializeAws_restJson1DescribeClusterOperationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeClusterOperationCommandOutput>;
export declare const deserializeAws_restJson1DescribeClusterV2Command: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeClusterV2CommandOutput>;
export declare const deserializeAws_restJson1DescribeConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeConfigurationCommandOutput>;
export declare const deserializeAws_restJson1DescribeConfigurationRevisionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeConfigurationRevisionCommandOutput>;
export declare const deserializeAws_restJson1GetBootstrapBrokersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetBootstrapBrokersCommandOutput>;
export declare const deserializeAws_restJson1GetCompatibleKafkaVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetCompatibleKafkaVersionsCommandOutput>;
export declare const deserializeAws_restJson1ListClusterOperationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListClusterOperationsCommandOutput>;
export declare const deserializeAws_restJson1ListClustersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListClustersCommandOutput>;
export declare const deserializeAws_restJson1ListClustersV2Command: (output: __HttpResponse, context: __SerdeContext) => Promise<ListClustersV2CommandOutput>;
export declare const deserializeAws_restJson1ListConfigurationRevisionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListConfigurationRevisionsCommandOutput>;
export declare const deserializeAws_restJson1ListConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListConfigurationsCommandOutput>;
export declare const deserializeAws_restJson1ListKafkaVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListKafkaVersionsCommandOutput>;
export declare const deserializeAws_restJson1ListNodesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListNodesCommandOutput>;
export declare const deserializeAws_restJson1ListScramSecretsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListScramSecretsCommandOutput>;
export declare const deserializeAws_restJson1ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_restJson1RebootBrokerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RebootBrokerCommandOutput>;
export declare const deserializeAws_restJson1TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_restJson1UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_restJson1UpdateBrokerCountCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateBrokerCountCommandOutput>;
export declare const deserializeAws_restJson1UpdateBrokerStorageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateBrokerStorageCommandOutput>;
export declare const deserializeAws_restJson1UpdateBrokerTypeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateBrokerTypeCommandOutput>;
export declare const deserializeAws_restJson1UpdateClusterConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateClusterConfigurationCommandOutput>;
export declare const deserializeAws_restJson1UpdateClusterKafkaVersionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateClusterKafkaVersionCommandOutput>;
export declare const deserializeAws_restJson1UpdateConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateConfigurationCommandOutput>;
export declare const deserializeAws_restJson1UpdateConnectivityCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateConnectivityCommandOutput>;
export declare const deserializeAws_restJson1UpdateMonitoringCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateMonitoringCommandOutput>;
export declare const deserializeAws_restJson1UpdateSecurityCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateSecurityCommandOutput>;
