import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { BatchAssociateScramSecretCommandInput, BatchAssociateScramSecretCommandOutput } from "./commands/BatchAssociateScramSecretCommand";
import { BatchDisassociateScramSecretCommandInput, BatchDisassociateScramSecretCommandOutput } from "./commands/BatchDisassociateScramSecretCommand";
import { CreateClusterCommandInput, CreateClusterCommandOutput } from "./commands/CreateClusterCommand";
import { CreateClusterV2CommandInput, CreateClusterV2CommandOutput } from "./commands/CreateClusterV2Command";
import { CreateConfigurationCommandInput, CreateConfigurationCommandOutput } from "./commands/CreateConfigurationCommand";
import { DeleteClusterCommandInput, DeleteClusterCommandOutput } from "./commands/DeleteClusterCommand";
import { DeleteConfigurationCommandInput, DeleteConfigurationCommandOutput } from "./commands/DeleteConfigurationCommand";
import { DescribeClusterCommandInput, DescribeClusterCommandOutput } from "./commands/DescribeClusterCommand";
import { DescribeClusterOperationCommandInput, DescribeClusterOperationCommandOutput } from "./commands/DescribeClusterOperationCommand";
import { DescribeClusterV2CommandInput, DescribeClusterV2CommandOutput } from "./commands/DescribeClusterV2Command";
import { DescribeConfigurationCommandInput, DescribeConfigurationCommandOutput } from "./commands/DescribeConfigurationCommand";
import { DescribeConfigurationRevisionCommandInput, DescribeConfigurationRevisionCommandOutput } from "./commands/DescribeConfigurationRevisionCommand";
import { GetBootstrapBrokersCommandInput, GetBootstrapBrokersCommandOutput } from "./commands/GetBootstrapBrokersCommand";
import { GetCompatibleKafkaVersionsCommandInput, GetCompatibleKafkaVersionsCommandOutput } from "./commands/GetCompatibleKafkaVersionsCommand";
import { ListClusterOperationsCommandInput, ListClusterOperationsCommandOutput } from "./commands/ListClusterOperationsCommand";
import { ListClustersCommandInput, ListClustersCommandOutput } from "./commands/ListClustersCommand";
import { ListClustersV2CommandInput, ListClustersV2CommandOutput } from "./commands/ListClustersV2Command";
import { ListConfigurationRevisionsCommandInput, ListConfigurationRevisionsCommandOutput } from "./commands/ListConfigurationRevisionsCommand";
import { ListConfigurationsCommandInput, ListConfigurationsCommandOutput } from "./commands/ListConfigurationsCommand";
import { ListKafkaVersionsCommandInput, ListKafkaVersionsCommandOutput } from "./commands/ListKafkaVersionsCommand";
import { ListNodesCommandInput, ListNodesCommandOutput } from "./commands/ListNodesCommand";
import { ListScramSecretsCommandInput, ListScramSecretsCommandOutput } from "./commands/ListScramSecretsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "./commands/ListTagsForResourceCommand";
import { RebootBrokerCommandInput, RebootBrokerCommandOutput } from "./commands/RebootBrokerCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { UpdateBrokerCountCommandInput, UpdateBrokerCountCommandOutput } from "./commands/UpdateBrokerCountCommand";
import { UpdateBrokerStorageCommandInput, UpdateBrokerStorageCommandOutput } from "./commands/UpdateBrokerStorageCommand";
import { UpdateBrokerTypeCommandInput, UpdateBrokerTypeCommandOutput } from "./commands/UpdateBrokerTypeCommand";
import { UpdateClusterConfigurationCommandInput, UpdateClusterConfigurationCommandOutput } from "./commands/UpdateClusterConfigurationCommand";
import { UpdateClusterKafkaVersionCommandInput, UpdateClusterKafkaVersionCommandOutput } from "./commands/UpdateClusterKafkaVersionCommand";
import { UpdateConfigurationCommandInput, UpdateConfigurationCommandOutput } from "./commands/UpdateConfigurationCommand";
import { UpdateConnectivityCommandInput, UpdateConnectivityCommandOutput } from "./commands/UpdateConnectivityCommand";
import { UpdateMonitoringCommandInput, UpdateMonitoringCommandOutput } from "./commands/UpdateMonitoringCommand";
import { UpdateSecurityCommandInput, UpdateSecurityCommandOutput } from "./commands/UpdateSecurityCommand";
import { KafkaClient } from "./KafkaClient";

export declare class Kafka extends KafkaClient {
    
    batchAssociateScramSecret(args: BatchAssociateScramSecretCommandInput, options?: __HttpHandlerOptions): Promise<BatchAssociateScramSecretCommandOutput>;
    batchAssociateScramSecret(args: BatchAssociateScramSecretCommandInput, cb: (err: any, data?: BatchAssociateScramSecretCommandOutput) => void): void;
    batchAssociateScramSecret(args: BatchAssociateScramSecretCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: BatchAssociateScramSecretCommandOutput) => void): void;
    
    batchDisassociateScramSecret(args: BatchDisassociateScramSecretCommandInput, options?: __HttpHandlerOptions): Promise<BatchDisassociateScramSecretCommandOutput>;
    batchDisassociateScramSecret(args: BatchDisassociateScramSecretCommandInput, cb: (err: any, data?: BatchDisassociateScramSecretCommandOutput) => void): void;
    batchDisassociateScramSecret(args: BatchDisassociateScramSecretCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: BatchDisassociateScramSecretCommandOutput) => void): void;
    
    createCluster(args: CreateClusterCommandInput, options?: __HttpHandlerOptions): Promise<CreateClusterCommandOutput>;
    createCluster(args: CreateClusterCommandInput, cb: (err: any, data?: CreateClusterCommandOutput) => void): void;
    createCluster(args: CreateClusterCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateClusterCommandOutput) => void): void;
    
    createClusterV2(args: CreateClusterV2CommandInput, options?: __HttpHandlerOptions): Promise<CreateClusterV2CommandOutput>;
    createClusterV2(args: CreateClusterV2CommandInput, cb: (err: any, data?: CreateClusterV2CommandOutput) => void): void;
    createClusterV2(args: CreateClusterV2CommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateClusterV2CommandOutput) => void): void;
    
    createConfiguration(args: CreateConfigurationCommandInput, options?: __HttpHandlerOptions): Promise<CreateConfigurationCommandOutput>;
    createConfiguration(args: CreateConfigurationCommandInput, cb: (err: any, data?: CreateConfigurationCommandOutput) => void): void;
    createConfiguration(args: CreateConfigurationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateConfigurationCommandOutput) => void): void;
    
    deleteCluster(args: DeleteClusterCommandInput, options?: __HttpHandlerOptions): Promise<DeleteClusterCommandOutput>;
    deleteCluster(args: DeleteClusterCommandInput, cb: (err: any, data?: DeleteClusterCommandOutput) => void): void;
    deleteCluster(args: DeleteClusterCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteClusterCommandOutput) => void): void;
    
    deleteConfiguration(args: DeleteConfigurationCommandInput, options?: __HttpHandlerOptions): Promise<DeleteConfigurationCommandOutput>;
    deleteConfiguration(args: DeleteConfigurationCommandInput, cb: (err: any, data?: DeleteConfigurationCommandOutput) => void): void;
    deleteConfiguration(args: DeleteConfigurationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteConfigurationCommandOutput) => void): void;
    
    describeCluster(args: DescribeClusterCommandInput, options?: __HttpHandlerOptions): Promise<DescribeClusterCommandOutput>;
    describeCluster(args: DescribeClusterCommandInput, cb: (err: any, data?: DescribeClusterCommandOutput) => void): void;
    describeCluster(args: DescribeClusterCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeClusterCommandOutput) => void): void;
    
    describeClusterOperation(args: DescribeClusterOperationCommandInput, options?: __HttpHandlerOptions): Promise<DescribeClusterOperationCommandOutput>;
    describeClusterOperation(args: DescribeClusterOperationCommandInput, cb: (err: any, data?: DescribeClusterOperationCommandOutput) => void): void;
    describeClusterOperation(args: DescribeClusterOperationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeClusterOperationCommandOutput) => void): void;
    
    describeClusterV2(args: DescribeClusterV2CommandInput, options?: __HttpHandlerOptions): Promise<DescribeClusterV2CommandOutput>;
    describeClusterV2(args: DescribeClusterV2CommandInput, cb: (err: any, data?: DescribeClusterV2CommandOutput) => void): void;
    describeClusterV2(args: DescribeClusterV2CommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeClusterV2CommandOutput) => void): void;
    
    describeConfiguration(args: DescribeConfigurationCommandInput, options?: __HttpHandlerOptions): Promise<DescribeConfigurationCommandOutput>;
    describeConfiguration(args: DescribeConfigurationCommandInput, cb: (err: any, data?: DescribeConfigurationCommandOutput) => void): void;
    describeConfiguration(args: DescribeConfigurationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeConfigurationCommandOutput) => void): void;
    
    describeConfigurationRevision(args: DescribeConfigurationRevisionCommandInput, options?: __HttpHandlerOptions): Promise<DescribeConfigurationRevisionCommandOutput>;
    describeConfigurationRevision(args: DescribeConfigurationRevisionCommandInput, cb: (err: any, data?: DescribeConfigurationRevisionCommandOutput) => void): void;
    describeConfigurationRevision(args: DescribeConfigurationRevisionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeConfigurationRevisionCommandOutput) => void): void;
    
    getBootstrapBrokers(args: GetBootstrapBrokersCommandInput, options?: __HttpHandlerOptions): Promise<GetBootstrapBrokersCommandOutput>;
    getBootstrapBrokers(args: GetBootstrapBrokersCommandInput, cb: (err: any, data?: GetBootstrapBrokersCommandOutput) => void): void;
    getBootstrapBrokers(args: GetBootstrapBrokersCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetBootstrapBrokersCommandOutput) => void): void;
    
    getCompatibleKafkaVersions(args: GetCompatibleKafkaVersionsCommandInput, options?: __HttpHandlerOptions): Promise<GetCompatibleKafkaVersionsCommandOutput>;
    getCompatibleKafkaVersions(args: GetCompatibleKafkaVersionsCommandInput, cb: (err: any, data?: GetCompatibleKafkaVersionsCommandOutput) => void): void;
    getCompatibleKafkaVersions(args: GetCompatibleKafkaVersionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetCompatibleKafkaVersionsCommandOutput) => void): void;
    
    listClusterOperations(args: ListClusterOperationsCommandInput, options?: __HttpHandlerOptions): Promise<ListClusterOperationsCommandOutput>;
    listClusterOperations(args: ListClusterOperationsCommandInput, cb: (err: any, data?: ListClusterOperationsCommandOutput) => void): void;
    listClusterOperations(args: ListClusterOperationsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListClusterOperationsCommandOutput) => void): void;
    
    listClusters(args: ListClustersCommandInput, options?: __HttpHandlerOptions): Promise<ListClustersCommandOutput>;
    listClusters(args: ListClustersCommandInput, cb: (err: any, data?: ListClustersCommandOutput) => void): void;
    listClusters(args: ListClustersCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListClustersCommandOutput) => void): void;
    
    listClustersV2(args: ListClustersV2CommandInput, options?: __HttpHandlerOptions): Promise<ListClustersV2CommandOutput>;
    listClustersV2(args: ListClustersV2CommandInput, cb: (err: any, data?: ListClustersV2CommandOutput) => void): void;
    listClustersV2(args: ListClustersV2CommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListClustersV2CommandOutput) => void): void;
    
    listConfigurationRevisions(args: ListConfigurationRevisionsCommandInput, options?: __HttpHandlerOptions): Promise<ListConfigurationRevisionsCommandOutput>;
    listConfigurationRevisions(args: ListConfigurationRevisionsCommandInput, cb: (err: any, data?: ListConfigurationRevisionsCommandOutput) => void): void;
    listConfigurationRevisions(args: ListConfigurationRevisionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListConfigurationRevisionsCommandOutput) => void): void;
    
    listConfigurations(args: ListConfigurationsCommandInput, options?: __HttpHandlerOptions): Promise<ListConfigurationsCommandOutput>;
    listConfigurations(args: ListConfigurationsCommandInput, cb: (err: any, data?: ListConfigurationsCommandOutput) => void): void;
    listConfigurations(args: ListConfigurationsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListConfigurationsCommandOutput) => void): void;
    
    listKafkaVersions(args: ListKafkaVersionsCommandInput, options?: __HttpHandlerOptions): Promise<ListKafkaVersionsCommandOutput>;
    listKafkaVersions(args: ListKafkaVersionsCommandInput, cb: (err: any, data?: ListKafkaVersionsCommandOutput) => void): void;
    listKafkaVersions(args: ListKafkaVersionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListKafkaVersionsCommandOutput) => void): void;
    
    listNodes(args: ListNodesCommandInput, options?: __HttpHandlerOptions): Promise<ListNodesCommandOutput>;
    listNodes(args: ListNodesCommandInput, cb: (err: any, data?: ListNodesCommandOutput) => void): void;
    listNodes(args: ListNodesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListNodesCommandOutput) => void): void;
    
    listScramSecrets(args: ListScramSecretsCommandInput, options?: __HttpHandlerOptions): Promise<ListScramSecretsCommandOutput>;
    listScramSecrets(args: ListScramSecretsCommandInput, cb: (err: any, data?: ListScramSecretsCommandOutput) => void): void;
    listScramSecrets(args: ListScramSecretsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListScramSecretsCommandOutput) => void): void;
    
    listTagsForResource(args: ListTagsForResourceCommandInput, options?: __HttpHandlerOptions): Promise<ListTagsForResourceCommandOutput>;
    listTagsForResource(args: ListTagsForResourceCommandInput, cb: (err: any, data?: ListTagsForResourceCommandOutput) => void): void;
    listTagsForResource(args: ListTagsForResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTagsForResourceCommandOutput) => void): void;
    
    rebootBroker(args: RebootBrokerCommandInput, options?: __HttpHandlerOptions): Promise<RebootBrokerCommandOutput>;
    rebootBroker(args: RebootBrokerCommandInput, cb: (err: any, data?: RebootBrokerCommandOutput) => void): void;
    rebootBroker(args: RebootBrokerCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: RebootBrokerCommandOutput) => void): void;
    
    tagResource(args: TagResourceCommandInput, options?: __HttpHandlerOptions): Promise<TagResourceCommandOutput>;
    tagResource(args: TagResourceCommandInput, cb: (err: any, data?: TagResourceCommandOutput) => void): void;
    tagResource(args: TagResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: TagResourceCommandOutput) => void): void;
    
    untagResource(args: UntagResourceCommandInput, options?: __HttpHandlerOptions): Promise<UntagResourceCommandOutput>;
    untagResource(args: UntagResourceCommandInput, cb: (err: any, data?: UntagResourceCommandOutput) => void): void;
    untagResource(args: UntagResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UntagResourceCommandOutput) => void): void;
    
    updateBrokerCount(args: UpdateBrokerCountCommandInput, options?: __HttpHandlerOptions): Promise<UpdateBrokerCountCommandOutput>;
    updateBrokerCount(args: UpdateBrokerCountCommandInput, cb: (err: any, data?: UpdateBrokerCountCommandOutput) => void): void;
    updateBrokerCount(args: UpdateBrokerCountCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateBrokerCountCommandOutput) => void): void;
    
    updateBrokerStorage(args: UpdateBrokerStorageCommandInput, options?: __HttpHandlerOptions): Promise<UpdateBrokerStorageCommandOutput>;
    updateBrokerStorage(args: UpdateBrokerStorageCommandInput, cb: (err: any, data?: UpdateBrokerStorageCommandOutput) => void): void;
    updateBrokerStorage(args: UpdateBrokerStorageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateBrokerStorageCommandOutput) => void): void;
    
    updateBrokerType(args: UpdateBrokerTypeCommandInput, options?: __HttpHandlerOptions): Promise<UpdateBrokerTypeCommandOutput>;
    updateBrokerType(args: UpdateBrokerTypeCommandInput, cb: (err: any, data?: UpdateBrokerTypeCommandOutput) => void): void;
    updateBrokerType(args: UpdateBrokerTypeCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateBrokerTypeCommandOutput) => void): void;
    
    updateClusterConfiguration(args: UpdateClusterConfigurationCommandInput, options?: __HttpHandlerOptions): Promise<UpdateClusterConfigurationCommandOutput>;
    updateClusterConfiguration(args: UpdateClusterConfigurationCommandInput, cb: (err: any, data?: UpdateClusterConfigurationCommandOutput) => void): void;
    updateClusterConfiguration(args: UpdateClusterConfigurationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateClusterConfigurationCommandOutput) => void): void;
    
    updateClusterKafkaVersion(args: UpdateClusterKafkaVersionCommandInput, options?: __HttpHandlerOptions): Promise<UpdateClusterKafkaVersionCommandOutput>;
    updateClusterKafkaVersion(args: UpdateClusterKafkaVersionCommandInput, cb: (err: any, data?: UpdateClusterKafkaVersionCommandOutput) => void): void;
    updateClusterKafkaVersion(args: UpdateClusterKafkaVersionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateClusterKafkaVersionCommandOutput) => void): void;
    
    updateConfiguration(args: UpdateConfigurationCommandInput, options?: __HttpHandlerOptions): Promise<UpdateConfigurationCommandOutput>;
    updateConfiguration(args: UpdateConfigurationCommandInput, cb: (err: any, data?: UpdateConfigurationCommandOutput) => void): void;
    updateConfiguration(args: UpdateConfigurationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateConfigurationCommandOutput) => void): void;
    
    updateConnectivity(args: UpdateConnectivityCommandInput, options?: __HttpHandlerOptions): Promise<UpdateConnectivityCommandOutput>;
    updateConnectivity(args: UpdateConnectivityCommandInput, cb: (err: any, data?: UpdateConnectivityCommandOutput) => void): void;
    updateConnectivity(args: UpdateConnectivityCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateConnectivityCommandOutput) => void): void;
    
    updateMonitoring(args: UpdateMonitoringCommandInput, options?: __HttpHandlerOptions): Promise<UpdateMonitoringCommandOutput>;
    updateMonitoring(args: UpdateMonitoringCommandInput, cb: (err: any, data?: UpdateMonitoringCommandOutput) => void): void;
    updateMonitoring(args: UpdateMonitoringCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateMonitoringCommandOutput) => void): void;
    
    updateSecurity(args: UpdateSecurityCommandInput, options?: __HttpHandlerOptions): Promise<UpdateSecurityCommandOutput>;
    updateSecurity(args: UpdateSecurityCommandInput, cb: (err: any, data?: UpdateSecurityCommandOutput) => void): void;
    updateSecurity(args: UpdateSecurityCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateSecurityCommandOutput) => void): void;
}
