import { EndpointsInputConfig, EndpointsResolvedConfig, RegionInputConfig, RegionResolvedConfig } from "@aws-sdk/config-resolver";
import { HostHeaderInputConfig, HostHeaderResolvedConfig } from "@aws-sdk/middleware-host-header";
import { RetryInputConfig, RetryResolvedConfig } from "@aws-sdk/middleware-retry";
import { AwsAuthInputConfig, AwsAuthResolvedConfig } from "@aws-sdk/middleware-signing";
import { UserAgentInputConfig, UserAgentResolvedConfig } from "@aws-sdk/middleware-user-agent";
import { HttpHandler as __HttpHandler } from "@aws-sdk/protocol-http";
import { Client as __Client, DefaultsMode, SmithyConfiguration as __SmithyConfiguration, SmithyResolvedConfiguration as __SmithyResolvedConfiguration } from "@aws-sdk/smithy-client";
import { BodyLengthCalculator as __BodyLengthCalculator, Credentials as __Credentials, Decoder as __Decoder, Encoder as __Encoder, HashConstructor as __HashConstructor, HttpHandlerOptions as __HttpHandlerOptions, Logger as __Logger, Provider as __Provider, Provider, RegionInfoProvider, StreamCollector as __StreamCollector, UrlParser as __UrlParser, UserAgent as __UserAgent } from "@aws-sdk/types";
import { BatchAssociateScramSecretCommandInput, BatchAssociateScramSecretCommandOutput } from "./commands/BatchAssociateScramSecretCommand";
import { BatchDisassociateScramSecretCommandInput, BatchDisassociateScramSecretCommandOutput } from "./commands/BatchDisassociateScramSecretCommand";
import { CreateClusterCommandInput, CreateClusterCommandOutput } from "./commands/CreateClusterCommand";
import { CreateClusterV2CommandInput, CreateClusterV2CommandOutput } from "./commands/CreateClusterV2Command";
import { CreateConfigurationCommandInput, CreateConfigurationCommandOutput } from "./commands/CreateConfigurationCommand";
import { DeleteClusterCommandInput, DeleteClusterCommandOutput } from "./commands/DeleteClusterCommand";
import { DeleteConfigurationCommandInput, DeleteConfigurationCommandOutput } from "./commands/DeleteConfigurationCommand";
import { DescribeClusterCommandInput, DescribeClusterCommandOutput } from "./commands/DescribeClusterCommand";
import { DescribeClusterOperationCommandInput, DescribeClusterOperationCommandOutput } from "./commands/DescribeClusterOperationCommand";
import { DescribeClusterV2CommandInput, DescribeClusterV2CommandOutput } from "./commands/DescribeClusterV2Command";
import { DescribeConfigurationCommandInput, DescribeConfigurationCommandOutput } from "./commands/DescribeConfigurationCommand";
import { DescribeConfigurationRevisionCommandInput, DescribeConfigurationRevisionCommandOutput } from "./commands/DescribeConfigurationRevisionCommand";
import { GetBootstrapBrokersCommandInput, GetBootstrapBrokersCommandOutput } from "./commands/GetBootstrapBrokersCommand";
import { GetCompatibleKafkaVersionsCommandInput, GetCompatibleKafkaVersionsCommandOutput } from "./commands/GetCompatibleKafkaVersionsCommand";
import { ListClusterOperationsCommandInput, ListClusterOperationsCommandOutput } from "./commands/ListClusterOperationsCommand";
import { ListClustersCommandInput, ListClustersCommandOutput } from "./commands/ListClustersCommand";
import { ListClustersV2CommandInput, ListClustersV2CommandOutput } from "./commands/ListClustersV2Command";
import { ListConfigurationRevisionsCommandInput, ListConfigurationRevisionsCommandOutput } from "./commands/ListConfigurationRevisionsCommand";
import { ListConfigurationsCommandInput, ListConfigurationsCommandOutput } from "./commands/ListConfigurationsCommand";
import { ListKafkaVersionsCommandInput, ListKafkaVersionsCommandOutput } from "./commands/ListKafkaVersionsCommand";
import { ListNodesCommandInput, ListNodesCommandOutput } from "./commands/ListNodesCommand";
import { ListScramSecretsCommandInput, ListScramSecretsCommandOutput } from "./commands/ListScramSecretsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "./commands/ListTagsForResourceCommand";
import { RebootBrokerCommandInput, RebootBrokerCommandOutput } from "./commands/RebootBrokerCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { UpdateBrokerCountCommandInput, UpdateBrokerCountCommandOutput } from "./commands/UpdateBrokerCountCommand";
import { UpdateBrokerStorageCommandInput, UpdateBrokerStorageCommandOutput } from "./commands/UpdateBrokerStorageCommand";
import { UpdateBrokerTypeCommandInput, UpdateBrokerTypeCommandOutput } from "./commands/UpdateBrokerTypeCommand";
import { UpdateClusterConfigurationCommandInput, UpdateClusterConfigurationCommandOutput } from "./commands/UpdateClusterConfigurationCommand";
import { UpdateClusterKafkaVersionCommandInput, UpdateClusterKafkaVersionCommandOutput } from "./commands/UpdateClusterKafkaVersionCommand";
import { UpdateConfigurationCommandInput, UpdateConfigurationCommandOutput } from "./commands/UpdateConfigurationCommand";
import { UpdateConnectivityCommandInput, UpdateConnectivityCommandOutput } from "./commands/UpdateConnectivityCommand";
import { UpdateMonitoringCommandInput, UpdateMonitoringCommandOutput } from "./commands/UpdateMonitoringCommand";
import { UpdateSecurityCommandInput, UpdateSecurityCommandOutput } from "./commands/UpdateSecurityCommand";
export declare type ServiceInputTypes = BatchAssociateScramSecretCommandInput | BatchDisassociateScramSecretCommandInput | CreateClusterCommandInput | CreateClusterV2CommandInput | CreateConfigurationCommandInput | DeleteClusterCommandInput | DeleteConfigurationCommandInput | DescribeClusterCommandInput | DescribeClusterOperationCommandInput | DescribeClusterV2CommandInput | DescribeConfigurationCommandInput | DescribeConfigurationRevisionCommandInput | GetBootstrapBrokersCommandInput | GetCompatibleKafkaVersionsCommandInput | ListClusterOperationsCommandInput | ListClustersCommandInput | ListClustersV2CommandInput | ListConfigurationRevisionsCommandInput | ListConfigurationsCommandInput | ListKafkaVersionsCommandInput | ListNodesCommandInput | ListScramSecretsCommandInput | ListTagsForResourceCommandInput | RebootBrokerCommandInput | TagResourceCommandInput | UntagResourceCommandInput | UpdateBrokerCountCommandInput | UpdateBrokerStorageCommandInput | UpdateBrokerTypeCommandInput | UpdateClusterConfigurationCommandInput | UpdateClusterKafkaVersionCommandInput | UpdateConfigurationCommandInput | UpdateConnectivityCommandInput | UpdateMonitoringCommandInput | UpdateSecurityCommandInput;
export declare type ServiceOutputTypes = BatchAssociateScramSecretCommandOutput | BatchDisassociateScramSecretCommandOutput | CreateClusterCommandOutput | CreateClusterV2CommandOutput | CreateConfigurationCommandOutput | DeleteClusterCommandOutput | DeleteConfigurationCommandOutput | DescribeClusterCommandOutput | DescribeClusterOperationCommandOutput | DescribeClusterV2CommandOutput | DescribeConfigurationCommandOutput | DescribeConfigurationRevisionCommandOutput | GetBootstrapBrokersCommandOutput | GetCompatibleKafkaVersionsCommandOutput | ListClusterOperationsCommandOutput | ListClustersCommandOutput | ListClustersV2CommandOutput | ListConfigurationRevisionsCommandOutput | ListConfigurationsCommandOutput | ListKafkaVersionsCommandOutput | ListNodesCommandOutput | ListScramSecretsCommandOutput | ListTagsForResourceCommandOutput | RebootBrokerCommandOutput | TagResourceCommandOutput | UntagResourceCommandOutput | UpdateBrokerCountCommandOutput | UpdateBrokerStorageCommandOutput | UpdateBrokerTypeCommandOutput | UpdateClusterConfigurationCommandOutput | UpdateClusterKafkaVersionCommandOutput | UpdateConfigurationCommandOutput | UpdateConnectivityCommandOutput | UpdateMonitoringCommandOutput | UpdateSecurityCommandOutput;
export interface ClientDefaults extends Partial<__SmithyResolvedConfiguration<__HttpHandlerOptions>> {
    
    requestHandler?: __HttpHandler;
    
    sha256?: __HashConstructor;
    
    urlParser?: __UrlParser;
    
    bodyLengthChecker?: __BodyLengthCalculator;
    
    streamCollector?: __StreamCollector;
    
    base64Decoder?: __Decoder;
    
    base64Encoder?: __Encoder;
    
    utf8Decoder?: __Decoder;
    
    utf8Encoder?: __Encoder;
    
    runtime?: string;
    
    disableHostPrefix?: boolean;
    
    maxAttempts?: number | __Provider<number>;
    
    retryMode?: string | __Provider<string>;
    
    logger?: __Logger;
    
    useDualstackEndpoint?: boolean | __Provider<boolean>;
    
    useFipsEndpoint?: boolean | __Provider<boolean>;
    
    serviceId?: string;
    
    region?: string | __Provider<string>;
    
    credentialDefaultProvider?: (input: any) => __Provider<__Credentials>;
    
    regionInfoProvider?: RegionInfoProvider;
    
    defaultUserAgentProvider?: Provider<__UserAgent>;
    
    defaultsMode?: DefaultsMode | Provider<DefaultsMode>;
}
declare type KafkaClientConfigType = Partial<__SmithyConfiguration<__HttpHandlerOptions>> & ClientDefaults & RegionInputConfig & EndpointsInputConfig & RetryInputConfig & HostHeaderInputConfig & AwsAuthInputConfig & UserAgentInputConfig;

export interface KafkaClientConfig extends KafkaClientConfigType {
}
declare type KafkaClientResolvedConfigType = __SmithyResolvedConfiguration<__HttpHandlerOptions> & Required<ClientDefaults> & RegionResolvedConfig & EndpointsResolvedConfig & RetryResolvedConfig & HostHeaderResolvedConfig & AwsAuthResolvedConfig & UserAgentResolvedConfig;

export interface KafkaClientResolvedConfig extends KafkaClientResolvedConfigType {
}

export declare class KafkaClient extends __Client<__HttpHandlerOptions, ServiceInputTypes, ServiceOutputTypes, KafkaClientResolvedConfig> {
    
    readonly config: KafkaClientResolvedConfig;
    constructor(configuration: KafkaClientConfig);
    
    destroy(): void;
}
export {};
