import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { BatchAssociateScramSecretRequest, BatchAssociateScramSecretResponse } from "../models/models_0";
export interface BatchAssociateScramSecretCommandInput extends BatchAssociateScramSecretRequest {
}
export interface BatchAssociateScramSecretCommandOutput extends BatchAssociateScramSecretResponse, __MetadataBearer {
}

export declare class BatchAssociateScramSecretCommand extends $Command<BatchAssociateScramSecretCommandInput, BatchAssociateScramSecretCommandOutput, KafkaClientResolvedConfig> {
    readonly input: BatchAssociateScramSecretCommandInput;
    constructor(input: BatchAssociateScramSecretCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<BatchAssociateScramSecretCommandInput, BatchAssociateScramSecretCommandOutput>;
    private serialize;
    private deserialize;
}
