import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { BatchDisassociateScramSecretRequest, BatchDisassociateScramSecretResponse } from "../models/models_0";
export interface BatchDisassociateScramSecretCommandInput extends BatchDisassociateScramSecretRequest {
}
export interface BatchDisassociateScramSecretCommandOutput extends BatchDisassociateScramSecretResponse, __MetadataBearer {
}

export declare class BatchDisassociateScramSecretCommand extends $Command<BatchDisassociateScramSecretCommandInput, BatchDisassociateScramSecretCommandOutput, KafkaClientResolvedConfig> {
    readonly input: BatchDisassociateScramSecretCommandInput;
    constructor(input: BatchDisassociateScramSecretCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<BatchDisassociateScramSecretCommandInput, BatchDisassociateScramSecretCommandOutput>;
    private serialize;
    private deserialize;
}
