import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { CreateClusterV2Request, CreateClusterV2Response } from "../models/models_0";
export interface CreateClusterV2CommandInput extends CreateClusterV2Request {
}
export interface CreateClusterV2CommandOutput extends CreateClusterV2Response, __MetadataBearer {
}

export declare class CreateClusterV2Command extends $Command<CreateClusterV2CommandInput, CreateClusterV2CommandOutput, KafkaClientResolvedConfig> {
    readonly input: CreateClusterV2CommandInput;
    constructor(input: CreateClusterV2CommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateClusterV2CommandInput, CreateClusterV2CommandOutput>;
    private serialize;
    private deserialize;
}
