import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { DeleteConfigurationRequest, DeleteConfigurationResponse } from "../models/models_0";
export interface DeleteConfigurationCommandInput extends DeleteConfigurationRequest {
}
export interface DeleteConfigurationCommandOutput extends DeleteConfigurationResponse, __MetadataBearer {
}

export declare class DeleteConfigurationCommand extends $Command<DeleteConfigurationCommandInput, DeleteConfigurationCommandOutput, KafkaClientResolvedConfig> {
    readonly input: DeleteConfigurationCommandInput;
    constructor(input: DeleteConfigurationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteConfigurationCommandInput, DeleteConfigurationCommandOutput>;
    private serialize;
    private deserialize;
}
