import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { DescribeClusterOperationRequest, DescribeClusterOperationResponse } from "../models/models_0";
export interface DescribeClusterOperationCommandInput extends DescribeClusterOperationRequest {
}
export interface DescribeClusterOperationCommandOutput extends DescribeClusterOperationResponse, __MetadataBearer {
}

export declare class DescribeClusterOperationCommand extends $Command<DescribeClusterOperationCommandInput, DescribeClusterOperationCommandOutput, KafkaClientResolvedConfig> {
    readonly input: DescribeClusterOperationCommandInput;
    constructor(input: DescribeClusterOperationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeClusterOperationCommandInput, DescribeClusterOperationCommandOutput>;
    private serialize;
    private deserialize;
}
