import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { DescribeClusterV2Request, DescribeClusterV2Response } from "../models/models_0";
export interface DescribeClusterV2CommandInput extends DescribeClusterV2Request {
}
export interface DescribeClusterV2CommandOutput extends DescribeClusterV2Response, __MetadataBearer {
}

export declare class DescribeClusterV2Command extends $Command<DescribeClusterV2CommandInput, DescribeClusterV2CommandOutput, KafkaClientResolvedConfig> {
    readonly input: DescribeClusterV2CommandInput;
    constructor(input: DescribeClusterV2CommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeClusterV2CommandInput, DescribeClusterV2CommandOutput>;
    private serialize;
    private deserialize;
}
