import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { DescribeConfigurationRequest, DescribeConfigurationResponse } from "../models/models_0";
export interface DescribeConfigurationCommandInput extends DescribeConfigurationRequest {
}
export interface DescribeConfigurationCommandOutput extends DescribeConfigurationResponse, __MetadataBearer {
}

export declare class DescribeConfigurationCommand extends $Command<DescribeConfigurationCommandInput, DescribeConfigurationCommandOutput, KafkaClientResolvedConfig> {
    readonly input: DescribeConfigurationCommandInput;
    constructor(input: DescribeConfigurationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeConfigurationCommandInput, DescribeConfigurationCommandOutput>;
    private serialize;
    private deserialize;
}
