import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { GetBootstrapBrokersRequest, GetBootstrapBrokersResponse } from "../models/models_0";
export interface GetBootstrapBrokersCommandInput extends GetBootstrapBrokersRequest {
}
export interface GetBootstrapBrokersCommandOutput extends GetBootstrapBrokersResponse, __MetadataBearer {
}

export declare class GetBootstrapBrokersCommand extends $Command<GetBootstrapBrokersCommandInput, GetBootstrapBrokersCommandOutput, KafkaClientResolvedConfig> {
    readonly input: GetBootstrapBrokersCommandInput;
    constructor(input: GetBootstrapBrokersCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetBootstrapBrokersCommandInput, GetBootstrapBrokersCommandOutput>;
    private serialize;
    private deserialize;
}
