import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { GetCompatibleKafkaVersionsRequest, GetCompatibleKafkaVersionsResponse } from "../models/models_0";
export interface GetCompatibleKafkaVersionsCommandInput extends GetCompatibleKafkaVersionsRequest {
}
export interface GetCompatibleKafkaVersionsCommandOutput extends GetCompatibleKafkaVersionsResponse, __MetadataBearer {
}

export declare class GetCompatibleKafkaVersionsCommand extends $Command<GetCompatibleKafkaVersionsCommandInput, GetCompatibleKafkaVersionsCommandOutput, KafkaClientResolvedConfig> {
    readonly input: GetCompatibleKafkaVersionsCommandInput;
    constructor(input: GetCompatibleKafkaVersionsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetCompatibleKafkaVersionsCommandInput, GetCompatibleKafkaVersionsCommandOutput>;
    private serialize;
    private deserialize;
}
