import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { ListClusterOperationsRequest, ListClusterOperationsResponse } from "../models/models_0";
export interface ListClusterOperationsCommandInput extends ListClusterOperationsRequest {
}
export interface ListClusterOperationsCommandOutput extends ListClusterOperationsResponse, __MetadataBearer {
}

export declare class ListClusterOperationsCommand extends $Command<ListClusterOperationsCommandInput, ListClusterOperationsCommandOutput, KafkaClientResolvedConfig> {
    readonly input: ListClusterOperationsCommandInput;
    constructor(input: ListClusterOperationsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListClusterOperationsCommandInput, ListClusterOperationsCommandOutput>;
    private serialize;
    private deserialize;
}
