import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { ListClustersV2Request, ListClustersV2Response } from "../models/models_0";
export interface ListClustersV2CommandInput extends ListClustersV2Request {
}
export interface ListClustersV2CommandOutput extends ListClustersV2Response, __MetadataBearer {
}

export declare class ListClustersV2Command extends $Command<ListClustersV2CommandInput, ListClustersV2CommandOutput, KafkaClientResolvedConfig> {
    readonly input: ListClustersV2CommandInput;
    constructor(input: ListClustersV2CommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListClustersV2CommandInput, ListClustersV2CommandOutput>;
    private serialize;
    private deserialize;
}
