import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { ListConfigurationsRequest, ListConfigurationsResponse } from "../models/models_0";
export interface ListConfigurationsCommandInput extends ListConfigurationsRequest {
}
export interface ListConfigurationsCommandOutput extends ListConfigurationsResponse, __MetadataBearer {
}

export declare class ListConfigurationsCommand extends $Command<ListConfigurationsCommandInput, ListConfigurationsCommandOutput, KafkaClientResolvedConfig> {
    readonly input: ListConfigurationsCommandInput;
    constructor(input: ListConfigurationsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListConfigurationsCommandInput, ListConfigurationsCommandOutput>;
    private serialize;
    private deserialize;
}
