import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { ListNodesRequest, ListNodesResponse } from "../models/models_0";
export interface ListNodesCommandInput extends ListNodesRequest {
}
export interface ListNodesCommandOutput extends ListNodesResponse, __MetadataBearer {
}

export declare class ListNodesCommand extends $Command<ListNodesCommandInput, ListNodesCommandOutput, KafkaClientResolvedConfig> {
    readonly input: ListNodesCommandInput;
    constructor(input: ListNodesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListNodesCommandInput, ListNodesCommandOutput>;
    private serialize;
    private deserialize;
}
