import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { ListScramSecretsRequest, ListScramSecretsResponse } from "../models/models_0";
export interface ListScramSecretsCommandInput extends ListScramSecretsRequest {
}
export interface ListScramSecretsCommandOutput extends ListScramSecretsResponse, __MetadataBearer {
}

export declare class ListScramSecretsCommand extends $Command<ListScramSecretsCommandInput, ListScramSecretsCommandOutput, KafkaClientResolvedConfig> {
    readonly input: ListScramSecretsCommandInput;
    constructor(input: ListScramSecretsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListScramSecretsCommandInput, ListScramSecretsCommandOutput>;
    private serialize;
    private deserialize;
}
