import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { RebootBrokerRequest, RebootBrokerResponse } from "../models/models_0";
export interface RebootBrokerCommandInput extends RebootBrokerRequest {
}
export interface RebootBrokerCommandOutput extends RebootBrokerResponse, __MetadataBearer {
}

export declare class RebootBrokerCommand extends $Command<RebootBrokerCommandInput, RebootBrokerCommandOutput, KafkaClientResolvedConfig> {
    readonly input: RebootBrokerCommandInput;
    constructor(input: RebootBrokerCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<RebootBrokerCommandInput, RebootBrokerCommandOutput>;
    private serialize;
    private deserialize;
}
