import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { UpdateBrokerCountRequest, UpdateBrokerCountResponse } from "../models/models_0";
export interface UpdateBrokerCountCommandInput extends UpdateBrokerCountRequest {
}
export interface UpdateBrokerCountCommandOutput extends UpdateBrokerCountResponse, __MetadataBearer {
}

export declare class UpdateBrokerCountCommand extends $Command<UpdateBrokerCountCommandInput, UpdateBrokerCountCommandOutput, KafkaClientResolvedConfig> {
    readonly input: UpdateBrokerCountCommandInput;
    constructor(input: UpdateBrokerCountCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateBrokerCountCommandInput, UpdateBrokerCountCommandOutput>;
    private serialize;
    private deserialize;
}
