import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { UpdateBrokerStorageRequest, UpdateBrokerStorageResponse } from "../models/models_0";
export interface UpdateBrokerStorageCommandInput extends UpdateBrokerStorageRequest {
}
export interface UpdateBrokerStorageCommandOutput extends UpdateBrokerStorageResponse, __MetadataBearer {
}

export declare class UpdateBrokerStorageCommand extends $Command<UpdateBrokerStorageCommandInput, UpdateBrokerStorageCommandOutput, KafkaClientResolvedConfig> {
    readonly input: UpdateBrokerStorageCommandInput;
    constructor(input: UpdateBrokerStorageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateBrokerStorageCommandInput, UpdateBrokerStorageCommandOutput>;
    private serialize;
    private deserialize;
}
