import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { UpdateBrokerTypeRequest, UpdateBrokerTypeResponse } from "../models/models_0";
export interface UpdateBrokerTypeCommandInput extends UpdateBrokerTypeRequest {
}
export interface UpdateBrokerTypeCommandOutput extends UpdateBrokerTypeResponse, __MetadataBearer {
}

export declare class UpdateBrokerTypeCommand extends $Command<UpdateBrokerTypeCommandInput, UpdateBrokerTypeCommandOutput, KafkaClientResolvedConfig> {
    readonly input: UpdateBrokerTypeCommandInput;
    constructor(input: UpdateBrokerTypeCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateBrokerTypeCommandInput, UpdateBrokerTypeCommandOutput>;
    private serialize;
    private deserialize;
}
