import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { UpdateClusterConfigurationRequest, UpdateClusterConfigurationResponse } from "../models/models_0";
export interface UpdateClusterConfigurationCommandInput extends UpdateClusterConfigurationRequest {
}
export interface UpdateClusterConfigurationCommandOutput extends UpdateClusterConfigurationResponse, __MetadataBearer {
}

export declare class UpdateClusterConfigurationCommand extends $Command<UpdateClusterConfigurationCommandInput, UpdateClusterConfigurationCommandOutput, KafkaClientResolvedConfig> {
    readonly input: UpdateClusterConfigurationCommandInput;
    constructor(input: UpdateClusterConfigurationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateClusterConfigurationCommandInput, UpdateClusterConfigurationCommandOutput>;
    private serialize;
    private deserialize;
}
