import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { UpdateClusterKafkaVersionRequest, UpdateClusterKafkaVersionResponse } from "../models/models_0";
export interface UpdateClusterKafkaVersionCommandInput extends UpdateClusterKafkaVersionRequest {
}
export interface UpdateClusterKafkaVersionCommandOutput extends UpdateClusterKafkaVersionResponse, __MetadataBearer {
}

export declare class UpdateClusterKafkaVersionCommand extends $Command<UpdateClusterKafkaVersionCommandInput, UpdateClusterKafkaVersionCommandOutput, KafkaClientResolvedConfig> {
    readonly input: UpdateClusterKafkaVersionCommandInput;
    constructor(input: UpdateClusterKafkaVersionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateClusterKafkaVersionCommandInput, UpdateClusterKafkaVersionCommandOutput>;
    private serialize;
    private deserialize;
}
