import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { UpdateConnectivityRequest, UpdateConnectivityResponse } from "../models/models_0";
export interface UpdateConnectivityCommandInput extends UpdateConnectivityRequest {
}
export interface UpdateConnectivityCommandOutput extends UpdateConnectivityResponse, __MetadataBearer {
}

export declare class UpdateConnectivityCommand extends $Command<UpdateConnectivityCommandInput, UpdateConnectivityCommandOutput, KafkaClientResolvedConfig> {
    readonly input: UpdateConnectivityCommandInput;
    constructor(input: UpdateConnectivityCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateConnectivityCommandInput, UpdateConnectivityCommandOutput>;
    private serialize;
    private deserialize;
}
