import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { UpdateMonitoringRequest, UpdateMonitoringResponse } from "../models/models_0";
export interface UpdateMonitoringCommandInput extends UpdateMonitoringRequest {
}
export interface UpdateMonitoringCommandOutput extends UpdateMonitoringResponse, __MetadataBearer {
}

export declare class UpdateMonitoringCommand extends $Command<UpdateMonitoringCommandInput, UpdateMonitoringCommandOutput, KafkaClientResolvedConfig> {
    readonly input: UpdateMonitoringCommandInput;
    constructor(input: UpdateMonitoringCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateMonitoringCommandInput, UpdateMonitoringCommandOutput>;
    private serialize;
    private deserialize;
}
