import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { KafkaClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../KafkaClient";
import { UpdateSecurityRequest, UpdateSecurityResponse } from "../models/models_0";
export interface UpdateSecurityCommandInput extends UpdateSecurityRequest {
}
export interface UpdateSecurityCommandOutput extends UpdateSecurityResponse, __MetadataBearer {
}

export declare class UpdateSecurityCommand extends $Command<UpdateSecurityCommandInput, UpdateSecurityCommandOutput, KafkaClientResolvedConfig> {
    readonly input: UpdateSecurityCommandInput;
    constructor(input: UpdateSecurityCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: KafkaClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateSecurityCommandInput, UpdateSecurityCommandOutput>;
    private serialize;
    private deserialize;
}
