import { __assign, __awaiter, __generator, __read } from "tslib";
import { HttpRequest as __HttpRequest } from "@aws-sdk/protocol-http";
import { decorateServiceException as __decorateServiceException, expectBoolean as __expectBoolean, expectInt32 as __expectInt32, expectLong as __expectLong, expectNonNull as __expectNonNull, expectObject as __expectObject, expectString as __expectString, extendedEncodeURIComponent as __extendedEncodeURIComponent, limitedParseDouble as __limitedParseDouble, parseRfc3339DateTime as __parseRfc3339DateTime, } from "@aws-sdk/smithy-client";
import { KafkaServiceException as __BaseException } from "../models/KafkaServiceException";
import { BadRequestException, ConflictException, ForbiddenException, InternalServerErrorException, NotFoundException, ServiceUnavailableException, TooManyRequestsException, UnauthorizedException, } from "../models/models_0";
export var serializeAws_restJson1BatchAssociateScramSecretCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/scram-secrets";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign({}, (input.SecretArnList !== undefined &&
                    input.SecretArnList !== null && {
                    secretArnList: serializeAws_restJson1__listOf__string(input.SecretArnList, context),
                })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "POST",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1BatchDisassociateScramSecretCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/scram-secrets";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign({}, (input.SecretArnList !== undefined &&
                    input.SecretArnList !== null && {
                    secretArnList: serializeAws_restJson1__listOf__string(input.SecretArnList, context),
                })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PATCH",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1CreateClusterCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters";
                body = JSON.stringify(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.BrokerNodeGroupInfo !== undefined &&
                    input.BrokerNodeGroupInfo !== null && {
                    brokerNodeGroupInfo: serializeAws_restJson1BrokerNodeGroupInfo(input.BrokerNodeGroupInfo, context),
                })), (input.ClientAuthentication !== undefined &&
                    input.ClientAuthentication !== null && {
                    clientAuthentication: serializeAws_restJson1ClientAuthentication(input.ClientAuthentication, context),
                })), (input.ClusterName !== undefined && input.ClusterName !== null && { clusterName: input.ClusterName })), (input.ConfigurationInfo !== undefined &&
                    input.ConfigurationInfo !== null && {
                    configurationInfo: serializeAws_restJson1ConfigurationInfo(input.ConfigurationInfo, context),
                })), (input.EncryptionInfo !== undefined &&
                    input.EncryptionInfo !== null && {
                    encryptionInfo: serializeAws_restJson1EncryptionInfo(input.EncryptionInfo, context),
                })), (input.EnhancedMonitoring !== undefined &&
                    input.EnhancedMonitoring !== null && { enhancedMonitoring: input.EnhancedMonitoring })), (input.KafkaVersion !== undefined && input.KafkaVersion !== null && { kafkaVersion: input.KafkaVersion })), (input.LoggingInfo !== undefined &&
                    input.LoggingInfo !== null && { loggingInfo: serializeAws_restJson1LoggingInfo(input.LoggingInfo, context) })), (input.NumberOfBrokerNodes !== undefined &&
                    input.NumberOfBrokerNodes !== null && { numberOfBrokerNodes: input.NumberOfBrokerNodes })), (input.OpenMonitoring !== undefined &&
                    input.OpenMonitoring !== null && {
                    openMonitoring: serializeAws_restJson1OpenMonitoringInfo(input.OpenMonitoring, context),
                })), (input.Tags !== undefined &&
                    input.Tags !== null && { tags: serializeAws_restJson1__mapOf__string(input.Tags, context) })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "POST",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1CreateClusterV2Command = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/api/v2/clusters";
                body = JSON.stringify(__assign(__assign(__assign(__assign({}, (input.ClusterName !== undefined && input.ClusterName !== null && { clusterName: input.ClusterName })), (input.Provisioned !== undefined &&
                    input.Provisioned !== null && {
                    provisioned: serializeAws_restJson1ProvisionedRequest(input.Provisioned, context),
                })), (input.Serverless !== undefined &&
                    input.Serverless !== null && { serverless: serializeAws_restJson1ServerlessRequest(input.Serverless, context) })), (input.Tags !== undefined &&
                    input.Tags !== null && { tags: serializeAws_restJson1__mapOf__string(input.Tags, context) })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "POST",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1CreateConfigurationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/configurations";
                body = JSON.stringify(__assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { description: input.Description })), (input.KafkaVersions !== undefined &&
                    input.KafkaVersions !== null && {
                    kafkaVersions: serializeAws_restJson1__listOf__string(input.KafkaVersions, context),
                })), (input.Name !== undefined && input.Name !== null && { name: input.Name })), (input.ServerProperties !== undefined &&
                    input.ServerProperties !== null && { serverProperties: context.base64Encoder(input.ServerProperties) })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "POST",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1DeleteClusterCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                query = __assign({}, (input.CurrentVersion !== undefined && { currentVersion: input.CurrentVersion }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "DELETE",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1DeleteConfigurationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/configurations/{Arn}";
                if (input.Arn !== undefined) {
                    labelValue = input.Arn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: Arn.");
                    }
                    resolvedPath = resolvedPath.replace("{Arn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: Arn.");
                }
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "DELETE",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1DescribeClusterCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1DescribeClusterOperationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/operations/{ClusterOperationArn}";
                if (input.ClusterOperationArn !== undefined) {
                    labelValue = input.ClusterOperationArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterOperationArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterOperationArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterOperationArn.");
                }
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1DescribeClusterV2Command = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/api/v2/clusters/{ClusterArn}";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1DescribeConfigurationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/configurations/{Arn}";
                if (input.Arn !== undefined) {
                    labelValue = input.Arn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: Arn.");
                    }
                    resolvedPath = resolvedPath.replace("{Arn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: Arn.");
                }
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1DescribeConfigurationRevisionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") +
                    "/v1/configurations/{Arn}/revisions/{Revision}";
                if (input.Arn !== undefined) {
                    labelValue = input.Arn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: Arn.");
                    }
                    resolvedPath = resolvedPath.replace("{Arn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: Arn.");
                }
                if (input.Revision !== undefined) {
                    labelValue = input.Revision.toString();
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: Revision.");
                    }
                    resolvedPath = resolvedPath.replace("{Revision}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: Revision.");
                }
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1GetBootstrapBrokersCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") +
                    "/v1/clusters/{ClusterArn}/bootstrap-brokers";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1GetCompatibleKafkaVersionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/compatible-kafka-versions";
                query = __assign({}, (input.ClusterArn !== undefined && { clusterArn: input.ClusterArn }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1ListClusterOperationsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/operations";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                query = __assign(__assign({}, (input.MaxResults !== undefined && { maxResults: input.MaxResults.toString() })), (input.NextToken !== undefined && { nextToken: input.NextToken }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1ListClustersCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters";
                query = __assign(__assign(__assign({}, (input.ClusterNameFilter !== undefined && { clusterNameFilter: input.ClusterNameFilter })), (input.MaxResults !== undefined && { maxResults: input.MaxResults.toString() })), (input.NextToken !== undefined && { nextToken: input.NextToken }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1ListClustersV2Command = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/api/v2/clusters";
                query = __assign(__assign(__assign(__assign({}, (input.ClusterNameFilter !== undefined && { clusterNameFilter: input.ClusterNameFilter })), (input.ClusterTypeFilter !== undefined && { clusterTypeFilter: input.ClusterTypeFilter })), (input.MaxResults !== undefined && { maxResults: input.MaxResults.toString() })), (input.NextToken !== undefined && { nextToken: input.NextToken }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1ListConfigurationRevisionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/configurations/{Arn}/revisions";
                if (input.Arn !== undefined) {
                    labelValue = input.Arn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: Arn.");
                    }
                    resolvedPath = resolvedPath.replace("{Arn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: Arn.");
                }
                query = __assign(__assign({}, (input.MaxResults !== undefined && { maxResults: input.MaxResults.toString() })), (input.NextToken !== undefined && { nextToken: input.NextToken }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1ListConfigurationsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/configurations";
                query = __assign(__assign({}, (input.MaxResults !== undefined && { maxResults: input.MaxResults.toString() })), (input.NextToken !== undefined && { nextToken: input.NextToken }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1ListKafkaVersionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/kafka-versions";
                query = __assign(__assign({}, (input.MaxResults !== undefined && { maxResults: input.MaxResults.toString() })), (input.NextToken !== undefined && { nextToken: input.NextToken }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1ListNodesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/nodes";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                query = __assign(__assign({}, (input.MaxResults !== undefined && { maxResults: input.MaxResults.toString() })), (input.NextToken !== undefined && { nextToken: input.NextToken }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1ListScramSecretsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/scram-secrets";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                query = __assign(__assign({}, (input.MaxResults !== undefined && { maxResults: input.MaxResults.toString() })), (input.NextToken !== undefined && { nextToken: input.NextToken }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1ListTagsForResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/tags/{ResourceArn}";
                if (input.ResourceArn !== undefined) {
                    labelValue = input.ResourceArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ResourceArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ResourceArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ResourceArn.");
                }
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "GET",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1RebootBrokerCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/reboot-broker";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign({}, (input.BrokerIds !== undefined &&
                    input.BrokerIds !== null && { brokerIds: serializeAws_restJson1__listOf__string(input.BrokerIds, context) })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PUT",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1TagResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/tags/{ResourceArn}";
                if (input.ResourceArn !== undefined) {
                    labelValue = input.ResourceArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ResourceArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ResourceArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ResourceArn.");
                }
                body = JSON.stringify(__assign({}, (input.Tags !== undefined &&
                    input.Tags !== null && { tags: serializeAws_restJson1__mapOf__string(input.Tags, context) })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "POST",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1UntagResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, query, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {};
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/tags/{ResourceArn}";
                if (input.ResourceArn !== undefined) {
                    labelValue = input.ResourceArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ResourceArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ResourceArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ResourceArn.");
                }
                query = __assign({}, (input.TagKeys !== undefined && { tagKeys: (input.TagKeys || []).map(function (_entry) { return _entry; }) }));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "DELETE",
                        headers: headers,
                        path: resolvedPath,
                        query: query,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1UpdateBrokerCountCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/nodes/count";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign(__assign({}, (input.CurrentVersion !== undefined &&
                    input.CurrentVersion !== null && { currentVersion: input.CurrentVersion })), (input.TargetNumberOfBrokerNodes !== undefined &&
                    input.TargetNumberOfBrokerNodes !== null && { targetNumberOfBrokerNodes: input.TargetNumberOfBrokerNodes })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PUT",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1UpdateBrokerStorageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/nodes/storage";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign(__assign({}, (input.CurrentVersion !== undefined &&
                    input.CurrentVersion !== null && { currentVersion: input.CurrentVersion })), (input.TargetBrokerEBSVolumeInfo !== undefined &&
                    input.TargetBrokerEBSVolumeInfo !== null && {
                    targetBrokerEBSVolumeInfo: serializeAws_restJson1__listOfBrokerEBSVolumeInfo(input.TargetBrokerEBSVolumeInfo, context),
                })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PUT",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1UpdateBrokerTypeCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/nodes/type";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign(__assign({}, (input.CurrentVersion !== undefined &&
                    input.CurrentVersion !== null && { currentVersion: input.CurrentVersion })), (input.TargetInstanceType !== undefined &&
                    input.TargetInstanceType !== null && { targetInstanceType: input.TargetInstanceType })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PUT",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1UpdateClusterConfigurationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/configuration";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign(__assign({}, (input.ConfigurationInfo !== undefined &&
                    input.ConfigurationInfo !== null && {
                    configurationInfo: serializeAws_restJson1ConfigurationInfo(input.ConfigurationInfo, context),
                })), (input.CurrentVersion !== undefined &&
                    input.CurrentVersion !== null && { currentVersion: input.CurrentVersion })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PUT",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1UpdateClusterKafkaVersionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/version";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign(__assign(__assign({}, (input.ConfigurationInfo !== undefined &&
                    input.ConfigurationInfo !== null && {
                    configurationInfo: serializeAws_restJson1ConfigurationInfo(input.ConfigurationInfo, context),
                })), (input.CurrentVersion !== undefined &&
                    input.CurrentVersion !== null && { currentVersion: input.CurrentVersion })), (input.TargetKafkaVersion !== undefined &&
                    input.TargetKafkaVersion !== null && { targetKafkaVersion: input.TargetKafkaVersion })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PUT",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1UpdateConfigurationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/configurations/{Arn}";
                if (input.Arn !== undefined) {
                    labelValue = input.Arn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: Arn.");
                    }
                    resolvedPath = resolvedPath.replace("{Arn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: Arn.");
                }
                body = JSON.stringify(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { description: input.Description })), (input.ServerProperties !== undefined &&
                    input.ServerProperties !== null && { serverProperties: context.base64Encoder(input.ServerProperties) })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PUT",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1UpdateConnectivityCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/connectivity";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign(__assign({}, (input.ConnectivityInfo !== undefined &&
                    input.ConnectivityInfo !== null && {
                    connectivityInfo: serializeAws_restJson1ConnectivityInfo(input.ConnectivityInfo, context),
                })), (input.CurrentVersion !== undefined &&
                    input.CurrentVersion !== null && { currentVersion: input.CurrentVersion })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PUT",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1UpdateMonitoringCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/monitoring";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign(__assign(__assign(__assign({}, (input.CurrentVersion !== undefined &&
                    input.CurrentVersion !== null && { currentVersion: input.CurrentVersion })), (input.EnhancedMonitoring !== undefined &&
                    input.EnhancedMonitoring !== null && { enhancedMonitoring: input.EnhancedMonitoring })), (input.LoggingInfo !== undefined &&
                    input.LoggingInfo !== null && { loggingInfo: serializeAws_restJson1LoggingInfo(input.LoggingInfo, context) })), (input.OpenMonitoring !== undefined &&
                    input.OpenMonitoring !== null && {
                    openMonitoring: serializeAws_restJson1OpenMonitoringInfo(input.OpenMonitoring, context),
                })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PUT",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var serializeAws_restJson1UpdateSecurityCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, headers, resolvedPath, labelValue, body;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                headers = {
                    "content-type": "application/json",
                };
                resolvedPath = "".concat((basePath === null || basePath === void 0 ? void 0 : basePath.endsWith("/")) ? basePath.slice(0, -1) : basePath || "") + "/v1/clusters/{ClusterArn}/security";
                if (input.ClusterArn !== undefined) {
                    labelValue = input.ClusterArn;
                    if (labelValue.length <= 0) {
                        throw new Error("Empty value provided for input HTTP label: ClusterArn.");
                    }
                    resolvedPath = resolvedPath.replace("{ClusterArn}", __extendedEncodeURIComponent(labelValue));
                }
                else {
                    throw new Error("No value provided for input HTTP label: ClusterArn.");
                }
                body = JSON.stringify(__assign(__assign(__assign({}, (input.ClientAuthentication !== undefined &&
                    input.ClientAuthentication !== null && {
                    clientAuthentication: serializeAws_restJson1ClientAuthentication(input.ClientAuthentication, context),
                })), (input.CurrentVersion !== undefined &&
                    input.CurrentVersion !== null && { currentVersion: input.CurrentVersion })), (input.EncryptionInfo !== undefined &&
                    input.EncryptionInfo !== null && {
                    encryptionInfo: serializeAws_restJson1EncryptionInfo(input.EncryptionInfo, context),
                })));
                return [2, new __HttpRequest({
                        protocol: protocol,
                        hostname: hostname,
                        port: port,
                        method: "PATCH",
                        headers: headers,
                        path: resolvedPath,
                        body: body,
                    })];
        }
    });
}); };
export var deserializeAws_restJson1BatchAssociateScramSecretCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1BatchAssociateScramSecretCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    UnprocessedScramSecrets: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.unprocessedScramSecrets !== undefined && data.unprocessedScramSecrets !== null) {
                    contents.UnprocessedScramSecrets = deserializeAws_restJson1__listOfUnprocessedScramSecret(data.unprocessedScramSecrets, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1BatchAssociateScramSecretCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1BatchDisassociateScramSecretCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1BatchDisassociateScramSecretCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    UnprocessedScramSecrets: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.unprocessedScramSecrets !== undefined && data.unprocessedScramSecrets !== null) {
                    contents.UnprocessedScramSecrets = deserializeAws_restJson1__listOfUnprocessedScramSecret(data.unprocessedScramSecrets, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1BatchDisassociateScramSecretCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1CreateClusterCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1CreateClusterCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterName: undefined,
                    State: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterName !== undefined && data.clusterName !== null) {
                    contents.ClusterName = __expectString(data.clusterName);
                }
                if (data.state !== undefined && data.state !== null) {
                    contents.State = __expectString(data.state);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1CreateClusterCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ConflictException": return [3, 4];
                    case "com.amazonaws.kafka#ConflictException": return [3, 4];
                    case "ForbiddenException": return [3, 6];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 6];
                    case "InternalServerErrorException": return [3, 8];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ConflictExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1CreateClusterV2Command = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1CreateClusterV2CommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterName: undefined,
                    ClusterType: undefined,
                    State: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterName !== undefined && data.clusterName !== null) {
                    contents.ClusterName = __expectString(data.clusterName);
                }
                if (data.clusterType !== undefined && data.clusterType !== null) {
                    contents.ClusterType = __expectString(data.clusterType);
                }
                if (data.state !== undefined && data.state !== null) {
                    contents.State = __expectString(data.state);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1CreateClusterV2CommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ConflictException": return [3, 4];
                    case "com.amazonaws.kafka#ConflictException": return [3, 4];
                    case "ForbiddenException": return [3, 6];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 6];
                    case "InternalServerErrorException": return [3, 8];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ConflictExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1CreateConfigurationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1CreateConfigurationCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    Arn: undefined,
                    CreationTime: undefined,
                    LatestRevision: undefined,
                    Name: undefined,
                    State: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.arn !== undefined && data.arn !== null) {
                    contents.Arn = __expectString(data.arn);
                }
                if (data.creationTime !== undefined && data.creationTime !== null) {
                    contents.CreationTime = __expectNonNull(__parseRfc3339DateTime(data.creationTime));
                }
                if (data.latestRevision !== undefined && data.latestRevision !== null) {
                    contents.LatestRevision = deserializeAws_restJson1ConfigurationRevision(data.latestRevision, context);
                }
                if (data.name !== undefined && data.name !== null) {
                    contents.Name = __expectString(data.name);
                }
                if (data.state !== undefined && data.state !== null) {
                    contents.State = __expectString(data.state);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1CreateConfigurationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ConflictException": return [3, 4];
                    case "com.amazonaws.kafka#ConflictException": return [3, 4];
                    case "ForbiddenException": return [3, 6];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 6];
                    case "InternalServerErrorException": return [3, 8];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ConflictExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1DeleteClusterCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1DeleteClusterCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    State: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.state !== undefined && data.state !== null) {
                    contents.State = __expectString(data.state);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1DeleteClusterCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1DeleteConfigurationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1DeleteConfigurationCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    Arn: undefined,
                    State: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.arn !== undefined && data.arn !== null) {
                    contents.Arn = __expectString(data.arn);
                }
                if (data.state !== undefined && data.state !== null) {
                    contents.State = __expectString(data.state);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1DeleteConfigurationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1DescribeClusterCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1DescribeClusterCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterInfo: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterInfo !== undefined && data.clusterInfo !== null) {
                    contents.ClusterInfo = deserializeAws_restJson1ClusterInfo(data.clusterInfo, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1DescribeClusterCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "UnauthorizedException": return [3, 10];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1DescribeClusterOperationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1DescribeClusterOperationCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterOperationInfo: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterOperationInfo !== undefined && data.clusterOperationInfo !== null) {
                    contents.ClusterOperationInfo = deserializeAws_restJson1ClusterOperationInfo(data.clusterOperationInfo, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1DescribeClusterOperationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "UnauthorizedException": return [3, 10];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1DescribeClusterV2Command = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1DescribeClusterV2CommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterInfo: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterInfo !== undefined && data.clusterInfo !== null) {
                    contents.ClusterInfo = deserializeAws_restJson1Cluster(data.clusterInfo, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1DescribeClusterV2CommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "UnauthorizedException": return [3, 10];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1DescribeConfigurationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1DescribeConfigurationCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    Arn: undefined,
                    CreationTime: undefined,
                    Description: undefined,
                    KafkaVersions: undefined,
                    LatestRevision: undefined,
                    Name: undefined,
                    State: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.arn !== undefined && data.arn !== null) {
                    contents.Arn = __expectString(data.arn);
                }
                if (data.creationTime !== undefined && data.creationTime !== null) {
                    contents.CreationTime = __expectNonNull(__parseRfc3339DateTime(data.creationTime));
                }
                if (data.description !== undefined && data.description !== null) {
                    contents.Description = __expectString(data.description);
                }
                if (data.kafkaVersions !== undefined && data.kafkaVersions !== null) {
                    contents.KafkaVersions = deserializeAws_restJson1__listOf__string(data.kafkaVersions, context);
                }
                if (data.latestRevision !== undefined && data.latestRevision !== null) {
                    contents.LatestRevision = deserializeAws_restJson1ConfigurationRevision(data.latestRevision, context);
                }
                if (data.name !== undefined && data.name !== null) {
                    contents.Name = __expectString(data.name);
                }
                if (data.state !== undefined && data.state !== null) {
                    contents.State = __expectString(data.state);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1DescribeConfigurationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "UnauthorizedException": return [3, 12];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1DescribeConfigurationRevisionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1DescribeConfigurationRevisionCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    Arn: undefined,
                    CreationTime: undefined,
                    Description: undefined,
                    Revision: undefined,
                    ServerProperties: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.arn !== undefined && data.arn !== null) {
                    contents.Arn = __expectString(data.arn);
                }
                if (data.creationTime !== undefined && data.creationTime !== null) {
                    contents.CreationTime = __expectNonNull(__parseRfc3339DateTime(data.creationTime));
                }
                if (data.description !== undefined && data.description !== null) {
                    contents.Description = __expectString(data.description);
                }
                if (data.revision !== undefined && data.revision !== null) {
                    contents.Revision = __expectLong(data.revision);
                }
                if (data.serverProperties !== undefined && data.serverProperties !== null) {
                    contents.ServerProperties = context.base64Decoder(data.serverProperties);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1DescribeConfigurationRevisionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "UnauthorizedException": return [3, 12];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1GetBootstrapBrokersCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1GetBootstrapBrokersCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    BootstrapBrokerString: undefined,
                    BootstrapBrokerStringPublicSaslIam: undefined,
                    BootstrapBrokerStringPublicSaslScram: undefined,
                    BootstrapBrokerStringPublicTls: undefined,
                    BootstrapBrokerStringSaslIam: undefined,
                    BootstrapBrokerStringSaslScram: undefined,
                    BootstrapBrokerStringTls: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.bootstrapBrokerString !== undefined && data.bootstrapBrokerString !== null) {
                    contents.BootstrapBrokerString = __expectString(data.bootstrapBrokerString);
                }
                if (data.bootstrapBrokerStringPublicSaslIam !== undefined && data.bootstrapBrokerStringPublicSaslIam !== null) {
                    contents.BootstrapBrokerStringPublicSaslIam = __expectString(data.bootstrapBrokerStringPublicSaslIam);
                }
                if (data.bootstrapBrokerStringPublicSaslScram !== undefined && data.bootstrapBrokerStringPublicSaslScram !== null) {
                    contents.BootstrapBrokerStringPublicSaslScram = __expectString(data.bootstrapBrokerStringPublicSaslScram);
                }
                if (data.bootstrapBrokerStringPublicTls !== undefined && data.bootstrapBrokerStringPublicTls !== null) {
                    contents.BootstrapBrokerStringPublicTls = __expectString(data.bootstrapBrokerStringPublicTls);
                }
                if (data.bootstrapBrokerStringSaslIam !== undefined && data.bootstrapBrokerStringSaslIam !== null) {
                    contents.BootstrapBrokerStringSaslIam = __expectString(data.bootstrapBrokerStringSaslIam);
                }
                if (data.bootstrapBrokerStringSaslScram !== undefined && data.bootstrapBrokerStringSaslScram !== null) {
                    contents.BootstrapBrokerStringSaslScram = __expectString(data.bootstrapBrokerStringSaslScram);
                }
                if (data.bootstrapBrokerStringTls !== undefined && data.bootstrapBrokerStringTls !== null) {
                    contents.BootstrapBrokerStringTls = __expectString(data.bootstrapBrokerStringTls);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1GetBootstrapBrokersCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ConflictException": return [3, 4];
                    case "com.amazonaws.kafka#ConflictException": return [3, 4];
                    case "ForbiddenException": return [3, 6];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 6];
                    case "InternalServerErrorException": return [3, 8];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 8];
                    case "UnauthorizedException": return [3, 10];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ConflictExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1GetCompatibleKafkaVersionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1GetCompatibleKafkaVersionsCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    CompatibleKafkaVersions: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.compatibleKafkaVersions !== undefined && data.compatibleKafkaVersions !== null) {
                    contents.CompatibleKafkaVersions = deserializeAws_restJson1__listOfCompatibleKafkaVersion(data.compatibleKafkaVersions, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1GetCompatibleKafkaVersionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1ListClusterOperationsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1ListClusterOperationsCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterOperationInfoList: undefined,
                    NextToken: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterOperationInfoList !== undefined && data.clusterOperationInfoList !== null) {
                    contents.ClusterOperationInfoList = deserializeAws_restJson1__listOfClusterOperationInfo(data.clusterOperationInfoList, context);
                }
                if (data.nextToken !== undefined && data.nextToken !== null) {
                    contents.NextToken = __expectString(data.nextToken);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1ListClusterOperationsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "UnauthorizedException": return [3, 8];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1ListClustersCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1ListClustersCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterInfoList: undefined,
                    NextToken: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterInfoList !== undefined && data.clusterInfoList !== null) {
                    contents.ClusterInfoList = deserializeAws_restJson1__listOfClusterInfo(data.clusterInfoList, context);
                }
                if (data.nextToken !== undefined && data.nextToken !== null) {
                    contents.NextToken = __expectString(data.nextToken);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1ListClustersCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "UnauthorizedException": return [3, 8];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1ListClustersV2Command = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1ListClustersV2CommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterInfoList: undefined,
                    NextToken: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterInfoList !== undefined && data.clusterInfoList !== null) {
                    contents.ClusterInfoList = deserializeAws_restJson1__listOfCluster(data.clusterInfoList, context);
                }
                if (data.nextToken !== undefined && data.nextToken !== null) {
                    contents.NextToken = __expectString(data.nextToken);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1ListClustersV2CommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "UnauthorizedException": return [3, 8];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1ListConfigurationRevisionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1ListConfigurationRevisionsCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    NextToken: undefined,
                    Revisions: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.nextToken !== undefined && data.nextToken !== null) {
                    contents.NextToken = __expectString(data.nextToken);
                }
                if (data.revisions !== undefined && data.revisions !== null) {
                    contents.Revisions = deserializeAws_restJson1__listOfConfigurationRevision(data.revisions, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1ListConfigurationRevisionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "UnauthorizedException": return [3, 12];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1ListConfigurationsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1ListConfigurationsCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    Configurations: undefined,
                    NextToken: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.configurations !== undefined && data.configurations !== null) {
                    contents.Configurations = deserializeAws_restJson1__listOfConfiguration(data.configurations, context);
                }
                if (data.nextToken !== undefined && data.nextToken !== null) {
                    contents.NextToken = __expectString(data.nextToken);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1ListConfigurationsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "ServiceUnavailableException": return [3, 8];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 8];
                    case "UnauthorizedException": return [3, 10];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1ListKafkaVersionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1ListKafkaVersionsCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    KafkaVersions: undefined,
                    NextToken: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.kafkaVersions !== undefined && data.kafkaVersions !== null) {
                    contents.KafkaVersions = deserializeAws_restJson1__listOfKafkaVersion(data.kafkaVersions, context);
                }
                if (data.nextToken !== undefined && data.nextToken !== null) {
                    contents.NextToken = __expectString(data.nextToken);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1ListKafkaVersionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "UnauthorizedException": return [3, 8];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1ListNodesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1ListNodesCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    NextToken: undefined,
                    NodeInfoList: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.nextToken !== undefined && data.nextToken !== null) {
                    contents.NextToken = __expectString(data.nextToken);
                }
                if (data.nodeInfoList !== undefined && data.nodeInfoList !== null) {
                    contents.NodeInfoList = deserializeAws_restJson1__listOfNodeInfo(data.nodeInfoList, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1ListNodesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1ListScramSecretsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1ListScramSecretsCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    NextToken: undefined,
                    SecretArnList: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.nextToken !== undefined && data.nextToken !== null) {
                    contents.NextToken = __expectString(data.nextToken);
                }
                if (data.secretArnList !== undefined && data.secretArnList !== null) {
                    contents.SecretArnList = deserializeAws_restJson1__listOf__string(data.secretArnList, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1ListScramSecretsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1ListTagsForResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1ListTagsForResourceCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    Tags: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.tags !== undefined && data.tags !== null) {
                    contents.Tags = deserializeAws_restJson1__mapOf__string(data.tags, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1ListTagsForResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "InternalServerErrorException": return [3, 4];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 4];
                    case "NotFoundException": return [3, 6];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1RebootBrokerCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1RebootBrokerCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterOperationArn: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterOperationArn !== undefined && data.clusterOperationArn !== null) {
                    contents.ClusterOperationArn = __expectString(data.clusterOperationArn);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1RebootBrokerCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1TagResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode !== 204 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1TagResourceCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                };
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1TagResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "InternalServerErrorException": return [3, 4];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 4];
                    case "NotFoundException": return [3, 6];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1UntagResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode !== 204 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1UntagResourceCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                };
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1UntagResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "InternalServerErrorException": return [3, 4];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 4];
                    case "NotFoundException": return [3, 6];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1UpdateBrokerCountCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1UpdateBrokerCountCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterOperationArn: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterOperationArn !== undefined && data.clusterOperationArn !== null) {
                    contents.ClusterOperationArn = __expectString(data.clusterOperationArn);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1UpdateBrokerCountCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "ServiceUnavailableException": return [3, 8];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 8];
                    case "UnauthorizedException": return [3, 10];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1UpdateBrokerStorageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1UpdateBrokerStorageCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterOperationArn: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterOperationArn !== undefined && data.clusterOperationArn !== null) {
                    contents.ClusterOperationArn = __expectString(data.clusterOperationArn);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1UpdateBrokerStorageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "ServiceUnavailableException": return [3, 8];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 8];
                    case "UnauthorizedException": return [3, 10];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1UpdateBrokerTypeCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1UpdateBrokerTypeCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterOperationArn: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterOperationArn !== undefined && data.clusterOperationArn !== null) {
                    contents.ClusterOperationArn = __expectString(data.clusterOperationArn);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1UpdateBrokerTypeCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1UpdateClusterConfigurationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1UpdateClusterConfigurationCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterOperationArn: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterOperationArn !== undefined && data.clusterOperationArn !== null) {
                    contents.ClusterOperationArn = __expectString(data.clusterOperationArn);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1UpdateClusterConfigurationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "UnauthorizedException": return [3, 12];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1UpdateClusterKafkaVersionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1UpdateClusterKafkaVersionCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterOperationArn: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterOperationArn !== undefined && data.clusterOperationArn !== null) {
                    contents.ClusterOperationArn = __expectString(data.clusterOperationArn);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1UpdateClusterKafkaVersionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1UpdateConfigurationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1UpdateConfigurationCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    Arn: undefined,
                    LatestRevision: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.arn !== undefined && data.arn !== null) {
                    contents.Arn = __expectString(data.arn);
                }
                if (data.latestRevision !== undefined && data.latestRevision !== null) {
                    contents.LatestRevision = deserializeAws_restJson1ConfigurationRevision(data.latestRevision, context);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1UpdateConfigurationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "UnauthorizedException": return [3, 12];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1UpdateConnectivityCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1UpdateConnectivityCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterOperationArn: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterOperationArn !== undefined && data.clusterOperationArn !== null) {
                    contents.ClusterOperationArn = __expectString(data.clusterOperationArn);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1UpdateConnectivityCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "UnauthorizedException": return [3, 12];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1UpdateMonitoringCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1UpdateMonitoringCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterOperationArn: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterOperationArn !== undefined && data.clusterOperationArn !== null) {
                    contents.ClusterOperationArn = __expectString(data.clusterOperationArn);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1UpdateMonitoringCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "ServiceUnavailableException": return [3, 8];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 8];
                    case "UnauthorizedException": return [3, 10];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_restJson1UpdateSecurityCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                if (output.statusCode !== 200 && output.statusCode >= 300) {
                    return [2, deserializeAws_restJson1UpdateSecurityCommandError(output, context)];
                }
                contents = {
                    $metadata: deserializeMetadata(output),
                    ClusterArn: undefined,
                    ClusterOperationArn: undefined,
                };
                _a = __expectNonNull;
                _b = __expectObject;
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.apply(void 0, [_b.apply(void 0, [_c.sent()]), "body"]);
                if (data.clusterArn !== undefined && data.clusterArn !== null) {
                    contents.ClusterArn = __expectString(data.clusterArn);
                }
                if (data.clusterOperationArn !== undefined && data.clusterOperationArn !== null) {
                    contents.ClusterOperationArn = __expectString(data.clusterOperationArn);
                }
                return [2, Promise.resolve(contents)];
        }
    });
}); };
var deserializeAws_restJson1UpdateSecurityCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "BadRequestException": return [3, 2];
                    case "com.amazonaws.kafka#BadRequestException": return [3, 2];
                    case "ForbiddenException": return [3, 4];
                    case "com.amazonaws.kafka#ForbiddenException": return [3, 4];
                    case "InternalServerErrorException": return [3, 6];
                    case "com.amazonaws.kafka#InternalServerErrorException": return [3, 6];
                    case "NotFoundException": return [3, 8];
                    case "com.amazonaws.kafka#NotFoundException": return [3, 8];
                    case "ServiceUnavailableException": return [3, 10];
                    case "com.amazonaws.kafka#ServiceUnavailableException": return [3, 10];
                    case "TooManyRequestsException": return [3, 12];
                    case "com.amazonaws.kafka#TooManyRequestsException": return [3, 12];
                    case "UnauthorizedException": return [3, 14];
                    case "com.amazonaws.kafka#UnauthorizedException": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_restJson1BadRequestExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_restJson1ForbiddenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_restJson1InternalServerErrorExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_restJson1NotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_restJson1ServiceUnavailableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_restJson1TooManyRequestsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_restJson1UnauthorizedExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
var deserializeAws_restJson1BadRequestExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, exception;
    return __generator(this, function (_a) {
        contents = {};
        data = parsedOutput.body;
        if (data.invalidParameter !== undefined && data.invalidParameter !== null) {
            contents.InvalidParameter = __expectString(data.invalidParameter);
        }
        if (data.message !== undefined && data.message !== null) {
            contents.Message = __expectString(data.message);
        }
        exception = new BadRequestException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, contents));
        return [2, __decorateServiceException(exception, parsedOutput.body)];
    });
}); };
var deserializeAws_restJson1ConflictExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, exception;
    return __generator(this, function (_a) {
        contents = {};
        data = parsedOutput.body;
        if (data.invalidParameter !== undefined && data.invalidParameter !== null) {
            contents.InvalidParameter = __expectString(data.invalidParameter);
        }
        if (data.message !== undefined && data.message !== null) {
            contents.Message = __expectString(data.message);
        }
        exception = new ConflictException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, contents));
        return [2, __decorateServiceException(exception, parsedOutput.body)];
    });
}); };
var deserializeAws_restJson1ForbiddenExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, exception;
    return __generator(this, function (_a) {
        contents = {};
        data = parsedOutput.body;
        if (data.invalidParameter !== undefined && data.invalidParameter !== null) {
            contents.InvalidParameter = __expectString(data.invalidParameter);
        }
        if (data.message !== undefined && data.message !== null) {
            contents.Message = __expectString(data.message);
        }
        exception = new ForbiddenException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, contents));
        return [2, __decorateServiceException(exception, parsedOutput.body)];
    });
}); };
var deserializeAws_restJson1InternalServerErrorExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, exception;
    return __generator(this, function (_a) {
        contents = {};
        data = parsedOutput.body;
        if (data.invalidParameter !== undefined && data.invalidParameter !== null) {
            contents.InvalidParameter = __expectString(data.invalidParameter);
        }
        if (data.message !== undefined && data.message !== null) {
            contents.Message = __expectString(data.message);
        }
        exception = new InternalServerErrorException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, contents));
        return [2, __decorateServiceException(exception, parsedOutput.body)];
    });
}); };
var deserializeAws_restJson1NotFoundExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, exception;
    return __generator(this, function (_a) {
        contents = {};
        data = parsedOutput.body;
        if (data.invalidParameter !== undefined && data.invalidParameter !== null) {
            contents.InvalidParameter = __expectString(data.invalidParameter);
        }
        if (data.message !== undefined && data.message !== null) {
            contents.Message = __expectString(data.message);
        }
        exception = new NotFoundException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, contents));
        return [2, __decorateServiceException(exception, parsedOutput.body)];
    });
}); };
var deserializeAws_restJson1ServiceUnavailableExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, exception;
    return __generator(this, function (_a) {
        contents = {};
        data = parsedOutput.body;
        if (data.invalidParameter !== undefined && data.invalidParameter !== null) {
            contents.InvalidParameter = __expectString(data.invalidParameter);
        }
        if (data.message !== undefined && data.message !== null) {
            contents.Message = __expectString(data.message);
        }
        exception = new ServiceUnavailableException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, contents));
        return [2, __decorateServiceException(exception, parsedOutput.body)];
    });
}); };
var deserializeAws_restJson1TooManyRequestsExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, exception;
    return __generator(this, function (_a) {
        contents = {};
        data = parsedOutput.body;
        if (data.invalidParameter !== undefined && data.invalidParameter !== null) {
            contents.InvalidParameter = __expectString(data.invalidParameter);
        }
        if (data.message !== undefined && data.message !== null) {
            contents.Message = __expectString(data.message);
        }
        exception = new TooManyRequestsException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, contents));
        return [2, __decorateServiceException(exception, parsedOutput.body)];
    });
}); };
var deserializeAws_restJson1UnauthorizedExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var contents, data, exception;
    return __generator(this, function (_a) {
        contents = {};
        data = parsedOutput.body;
        if (data.invalidParameter !== undefined && data.invalidParameter !== null) {
            contents.InvalidParameter = __expectString(data.invalidParameter);
        }
        if (data.message !== undefined && data.message !== null) {
            contents.Message = __expectString(data.message);
        }
        exception = new UnauthorizedException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, contents));
        return [2, __decorateServiceException(exception, parsedOutput.body)];
    });
}); };
var serializeAws_restJson1__listOf__string = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_restJson1__listOfBrokerEBSVolumeInfo = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_restJson1BrokerEBSVolumeInfo(entry, context);
    });
};
var serializeAws_restJson1__listOfVpcConfig = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_restJson1VpcConfig(entry, context);
    });
};
var serializeAws_restJson1__mapOf__string = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_restJson1BrokerEBSVolumeInfo = function (input, context) {
    return __assign(__assign(__assign({}, (input.KafkaBrokerNodeId !== undefined &&
        input.KafkaBrokerNodeId !== null && { kafkaBrokerNodeId: input.KafkaBrokerNodeId })), (input.ProvisionedThroughput !== undefined &&
        input.ProvisionedThroughput !== null && {
        provisionedThroughput: serializeAws_restJson1ProvisionedThroughput(input.ProvisionedThroughput, context),
    })), (input.VolumeSizeGB !== undefined && input.VolumeSizeGB !== null && { volumeSizeGB: input.VolumeSizeGB }));
};
var serializeAws_restJson1BrokerLogs = function (input, context) {
    return __assign(__assign(__assign({}, (input.CloudWatchLogs !== undefined &&
        input.CloudWatchLogs !== null && {
        cloudWatchLogs: serializeAws_restJson1CloudWatchLogs(input.CloudWatchLogs, context),
    })), (input.Firehose !== undefined &&
        input.Firehose !== null && { firehose: serializeAws_restJson1Firehose(input.Firehose, context) })), (input.S3 !== undefined && input.S3 !== null && { s3: serializeAws_restJson1S3(input.S3, context) }));
};
var serializeAws_restJson1BrokerNodeGroupInfo = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.BrokerAZDistribution !== undefined &&
        input.BrokerAZDistribution !== null && { brokerAZDistribution: input.BrokerAZDistribution })), (input.ClientSubnets !== undefined &&
        input.ClientSubnets !== null && {
        clientSubnets: serializeAws_restJson1__listOf__string(input.ClientSubnets, context),
    })), (input.ConnectivityInfo !== undefined &&
        input.ConnectivityInfo !== null && {
        connectivityInfo: serializeAws_restJson1ConnectivityInfo(input.ConnectivityInfo, context),
    })), (input.InstanceType !== undefined && input.InstanceType !== null && { instanceType: input.InstanceType })), (input.SecurityGroups !== undefined &&
        input.SecurityGroups !== null && {
        securityGroups: serializeAws_restJson1__listOf__string(input.SecurityGroups, context),
    })), (input.StorageInfo !== undefined &&
        input.StorageInfo !== null && { storageInfo: serializeAws_restJson1StorageInfo(input.StorageInfo, context) }));
};
var serializeAws_restJson1ClientAuthentication = function (input, context) {
    return __assign(__assign(__assign({}, (input.Sasl !== undefined && input.Sasl !== null && { sasl: serializeAws_restJson1Sasl(input.Sasl, context) })), (input.Tls !== undefined && input.Tls !== null && { tls: serializeAws_restJson1Tls(input.Tls, context) })), (input.Unauthenticated !== undefined &&
        input.Unauthenticated !== null && {
        unauthenticated: serializeAws_restJson1Unauthenticated(input.Unauthenticated, context),
    }));
};
var serializeAws_restJson1CloudWatchLogs = function (input, context) {
    return __assign(__assign({}, (input.Enabled !== undefined && input.Enabled !== null && { enabled: input.Enabled })), (input.LogGroup !== undefined && input.LogGroup !== null && { logGroup: input.LogGroup }));
};
var serializeAws_restJson1ConfigurationInfo = function (input, context) {
    return __assign(__assign({}, (input.Arn !== undefined && input.Arn !== null && { arn: input.Arn })), (input.Revision !== undefined && input.Revision !== null && { revision: input.Revision }));
};
var serializeAws_restJson1ConnectivityInfo = function (input, context) {
    return __assign({}, (input.PublicAccess !== undefined &&
        input.PublicAccess !== null && { publicAccess: serializeAws_restJson1PublicAccess(input.PublicAccess, context) }));
};
var serializeAws_restJson1EBSStorageInfo = function (input, context) {
    return __assign(__assign({}, (input.ProvisionedThroughput !== undefined &&
        input.ProvisionedThroughput !== null && {
        provisionedThroughput: serializeAws_restJson1ProvisionedThroughput(input.ProvisionedThroughput, context),
    })), (input.VolumeSize !== undefined && input.VolumeSize !== null && { volumeSize: input.VolumeSize }));
};
var serializeAws_restJson1EncryptionAtRest = function (input, context) {
    return __assign({}, (input.DataVolumeKMSKeyId !== undefined &&
        input.DataVolumeKMSKeyId !== null && { dataVolumeKMSKeyId: input.DataVolumeKMSKeyId }));
};
var serializeAws_restJson1EncryptionInfo = function (input, context) {
    return __assign(__assign({}, (input.EncryptionAtRest !== undefined &&
        input.EncryptionAtRest !== null && {
        encryptionAtRest: serializeAws_restJson1EncryptionAtRest(input.EncryptionAtRest, context),
    })), (input.EncryptionInTransit !== undefined &&
        input.EncryptionInTransit !== null && {
        encryptionInTransit: serializeAws_restJson1EncryptionInTransit(input.EncryptionInTransit, context),
    }));
};
var serializeAws_restJson1EncryptionInTransit = function (input, context) {
    return __assign(__assign({}, (input.ClientBroker !== undefined && input.ClientBroker !== null && { clientBroker: input.ClientBroker })), (input.InCluster !== undefined && input.InCluster !== null && { inCluster: input.InCluster }));
};
var serializeAws_restJson1Firehose = function (input, context) {
    return __assign(__assign({}, (input.DeliveryStream !== undefined &&
        input.DeliveryStream !== null && { deliveryStream: input.DeliveryStream })), (input.Enabled !== undefined && input.Enabled !== null && { enabled: input.Enabled }));
};
var serializeAws_restJson1Iam = function (input, context) {
    return __assign({}, (input.Enabled !== undefined && input.Enabled !== null && { enabled: input.Enabled }));
};
var serializeAws_restJson1JmxExporterInfo = function (input, context) {
    return __assign({}, (input.EnabledInBroker !== undefined &&
        input.EnabledInBroker !== null && { enabledInBroker: input.EnabledInBroker }));
};
var serializeAws_restJson1LoggingInfo = function (input, context) {
    return __assign({}, (input.BrokerLogs !== undefined &&
        input.BrokerLogs !== null && { brokerLogs: serializeAws_restJson1BrokerLogs(input.BrokerLogs, context) }));
};
var serializeAws_restJson1NodeExporterInfo = function (input, context) {
    return __assign({}, (input.EnabledInBroker !== undefined &&
        input.EnabledInBroker !== null && { enabledInBroker: input.EnabledInBroker }));
};
var serializeAws_restJson1OpenMonitoringInfo = function (input, context) {
    return __assign({}, (input.Prometheus !== undefined &&
        input.Prometheus !== null && { prometheus: serializeAws_restJson1PrometheusInfo(input.Prometheus, context) }));
};
var serializeAws_restJson1PrometheusInfo = function (input, context) {
    return __assign(__assign({}, (input.JmxExporter !== undefined &&
        input.JmxExporter !== null && { jmxExporter: serializeAws_restJson1JmxExporterInfo(input.JmxExporter, context) })), (input.NodeExporter !== undefined &&
        input.NodeExporter !== null && {
        nodeExporter: serializeAws_restJson1NodeExporterInfo(input.NodeExporter, context),
    }));
};
var serializeAws_restJson1ProvisionedRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.BrokerNodeGroupInfo !== undefined &&
        input.BrokerNodeGroupInfo !== null && {
        brokerNodeGroupInfo: serializeAws_restJson1BrokerNodeGroupInfo(input.BrokerNodeGroupInfo, context),
    })), (input.ClientAuthentication !== undefined &&
        input.ClientAuthentication !== null && {
        clientAuthentication: serializeAws_restJson1ClientAuthentication(input.ClientAuthentication, context),
    })), (input.ConfigurationInfo !== undefined &&
        input.ConfigurationInfo !== null && {
        configurationInfo: serializeAws_restJson1ConfigurationInfo(input.ConfigurationInfo, context),
    })), (input.EncryptionInfo !== undefined &&
        input.EncryptionInfo !== null && {
        encryptionInfo: serializeAws_restJson1EncryptionInfo(input.EncryptionInfo, context),
    })), (input.EnhancedMonitoring !== undefined &&
        input.EnhancedMonitoring !== null && { enhancedMonitoring: input.EnhancedMonitoring })), (input.KafkaVersion !== undefined && input.KafkaVersion !== null && { kafkaVersion: input.KafkaVersion })), (input.LoggingInfo !== undefined &&
        input.LoggingInfo !== null && { loggingInfo: serializeAws_restJson1LoggingInfo(input.LoggingInfo, context) })), (input.NumberOfBrokerNodes !== undefined &&
        input.NumberOfBrokerNodes !== null && { numberOfBrokerNodes: input.NumberOfBrokerNodes })), (input.OpenMonitoring !== undefined &&
        input.OpenMonitoring !== null && {
        openMonitoring: serializeAws_restJson1OpenMonitoringInfo(input.OpenMonitoring, context),
    }));
};
var serializeAws_restJson1ProvisionedThroughput = function (input, context) {
    return __assign(__assign({}, (input.Enabled !== undefined && input.Enabled !== null && { enabled: input.Enabled })), (input.VolumeThroughput !== undefined &&
        input.VolumeThroughput !== null && { volumeThroughput: input.VolumeThroughput }));
};
var serializeAws_restJson1PublicAccess = function (input, context) {
    return __assign({}, (input.Type !== undefined && input.Type !== null && { type: input.Type }));
};
var serializeAws_restJson1S3 = function (input, context) {
    return __assign(__assign(__assign({}, (input.Bucket !== undefined && input.Bucket !== null && { bucket: input.Bucket })), (input.Enabled !== undefined && input.Enabled !== null && { enabled: input.Enabled })), (input.Prefix !== undefined && input.Prefix !== null && { prefix: input.Prefix }));
};
var serializeAws_restJson1Sasl = function (input, context) {
    return __assign(__assign({}, (input.Iam !== undefined && input.Iam !== null && { iam: serializeAws_restJson1Iam(input.Iam, context) })), (input.Scram !== undefined &&
        input.Scram !== null && { scram: serializeAws_restJson1Scram(input.Scram, context) }));
};
var serializeAws_restJson1Scram = function (input, context) {
    return __assign({}, (input.Enabled !== undefined && input.Enabled !== null && { enabled: input.Enabled }));
};
var serializeAws_restJson1ServerlessClientAuthentication = function (input, context) {
    return __assign({}, (input.Sasl !== undefined &&
        input.Sasl !== null && { sasl: serializeAws_restJson1ServerlessSasl(input.Sasl, context) }));
};
var serializeAws_restJson1ServerlessRequest = function (input, context) {
    return __assign(__assign({}, (input.ClientAuthentication !== undefined &&
        input.ClientAuthentication !== null && {
        clientAuthentication: serializeAws_restJson1ServerlessClientAuthentication(input.ClientAuthentication, context),
    })), (input.VpcConfigs !== undefined &&
        input.VpcConfigs !== null && { vpcConfigs: serializeAws_restJson1__listOfVpcConfig(input.VpcConfigs, context) }));
};
var serializeAws_restJson1ServerlessSasl = function (input, context) {
    return __assign({}, (input.Iam !== undefined && input.Iam !== null && { iam: serializeAws_restJson1Iam(input.Iam, context) }));
};
var serializeAws_restJson1StorageInfo = function (input, context) {
    return __assign({}, (input.EbsStorageInfo !== undefined &&
        input.EbsStorageInfo !== null && {
        ebsStorageInfo: serializeAws_restJson1EBSStorageInfo(input.EbsStorageInfo, context),
    }));
};
var serializeAws_restJson1Tls = function (input, context) {
    return __assign(__assign({}, (input.CertificateAuthorityArnList !== undefined &&
        input.CertificateAuthorityArnList !== null && {
        certificateAuthorityArnList: serializeAws_restJson1__listOf__string(input.CertificateAuthorityArnList, context),
    })), (input.Enabled !== undefined && input.Enabled !== null && { enabled: input.Enabled }));
};
var serializeAws_restJson1Unauthenticated = function (input, context) {
    return __assign({}, (input.Enabled !== undefined && input.Enabled !== null && { enabled: input.Enabled }));
};
var serializeAws_restJson1VpcConfig = function (input, context) {
    return __assign(__assign({}, (input.SecurityGroupIds !== undefined &&
        input.SecurityGroupIds !== null && {
        securityGroupIds: serializeAws_restJson1__listOf__string(input.SecurityGroupIds, context),
    })), (input.SubnetIds !== undefined &&
        input.SubnetIds !== null && { subnetIds: serializeAws_restJson1__listOf__string(input.SubnetIds, context) }));
};
var deserializeAws_restJson1__listOf__string = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfBrokerEBSVolumeInfo = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1BrokerEBSVolumeInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfCluster = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1Cluster(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfClusterInfo = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1ClusterInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfClusterOperationInfo = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1ClusterOperationInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfClusterOperationStep = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1ClusterOperationStep(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfCompatibleKafkaVersion = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1CompatibleKafkaVersion(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfConfiguration = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1Configuration(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfConfigurationRevision = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1ConfigurationRevision(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfKafkaVersion = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1KafkaVersion(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfNodeInfo = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1NodeInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfUnprocessedScramSecret = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1UnprocessedScramSecret(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__listOfVpcConfig = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_restJson1VpcConfig(entry, context);
    });
    return retVal;
};
var deserializeAws_restJson1__mapOf__string = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_restJson1BrokerEBSVolumeInfo = function (output, context) {
    return {
        KafkaBrokerNodeId: __expectString(output.kafkaBrokerNodeId),
        ProvisionedThroughput: output.provisionedThroughput !== undefined && output.provisionedThroughput !== null
            ? deserializeAws_restJson1ProvisionedThroughput(output.provisionedThroughput, context)
            : undefined,
        VolumeSizeGB: __expectInt32(output.volumeSizeGB),
    };
};
var deserializeAws_restJson1BrokerLogs = function (output, context) {
    return {
        CloudWatchLogs: output.cloudWatchLogs !== undefined && output.cloudWatchLogs !== null
            ? deserializeAws_restJson1CloudWatchLogs(output.cloudWatchLogs, context)
            : undefined,
        Firehose: output.firehose !== undefined && output.firehose !== null
            ? deserializeAws_restJson1Firehose(output.firehose, context)
            : undefined,
        S3: output.s3 !== undefined && output.s3 !== null ? deserializeAws_restJson1S3(output.s3, context) : undefined,
    };
};
var deserializeAws_restJson1BrokerNodeGroupInfo = function (output, context) {
    return {
        BrokerAZDistribution: __expectString(output.brokerAZDistribution),
        ClientSubnets: output.clientSubnets !== undefined && output.clientSubnets !== null
            ? deserializeAws_restJson1__listOf__string(output.clientSubnets, context)
            : undefined,
        ConnectivityInfo: output.connectivityInfo !== undefined && output.connectivityInfo !== null
            ? deserializeAws_restJson1ConnectivityInfo(output.connectivityInfo, context)
            : undefined,
        InstanceType: __expectString(output.instanceType),
        SecurityGroups: output.securityGroups !== undefined && output.securityGroups !== null
            ? deserializeAws_restJson1__listOf__string(output.securityGroups, context)
            : undefined,
        StorageInfo: output.storageInfo !== undefined && output.storageInfo !== null
            ? deserializeAws_restJson1StorageInfo(output.storageInfo, context)
            : undefined,
    };
};
var deserializeAws_restJson1BrokerNodeInfo = function (output, context) {
    return {
        AttachedENIId: __expectString(output.attachedENIId),
        BrokerId: __limitedParseDouble(output.brokerId),
        ClientSubnet: __expectString(output.clientSubnet),
        ClientVpcIpAddress: __expectString(output.clientVpcIpAddress),
        CurrentBrokerSoftwareInfo: output.currentBrokerSoftwareInfo !== undefined && output.currentBrokerSoftwareInfo !== null
            ? deserializeAws_restJson1BrokerSoftwareInfo(output.currentBrokerSoftwareInfo, context)
            : undefined,
        Endpoints: output.endpoints !== undefined && output.endpoints !== null
            ? deserializeAws_restJson1__listOf__string(output.endpoints, context)
            : undefined,
    };
};
var deserializeAws_restJson1BrokerSoftwareInfo = function (output, context) {
    return {
        ConfigurationArn: __expectString(output.configurationArn),
        ConfigurationRevision: __expectLong(output.configurationRevision),
        KafkaVersion: __expectString(output.kafkaVersion),
    };
};
var deserializeAws_restJson1ClientAuthentication = function (output, context) {
    return {
        Sasl: output.sasl !== undefined && output.sasl !== null
            ? deserializeAws_restJson1Sasl(output.sasl, context)
            : undefined,
        Tls: output.tls !== undefined && output.tls !== null ? deserializeAws_restJson1Tls(output.tls, context) : undefined,
        Unauthenticated: output.unauthenticated !== undefined && output.unauthenticated !== null
            ? deserializeAws_restJson1Unauthenticated(output.unauthenticated, context)
            : undefined,
    };
};
var deserializeAws_restJson1CloudWatchLogs = function (output, context) {
    return {
        Enabled: __expectBoolean(output.enabled),
        LogGroup: __expectString(output.logGroup),
    };
};
var deserializeAws_restJson1Cluster = function (output, context) {
    return {
        ActiveOperationArn: __expectString(output.activeOperationArn),
        ClusterArn: __expectString(output.clusterArn),
        ClusterName: __expectString(output.clusterName),
        ClusterType: __expectString(output.clusterType),
        CreationTime: output.creationTime !== undefined && output.creationTime !== null
            ? __expectNonNull(__parseRfc3339DateTime(output.creationTime))
            : undefined,
        CurrentVersion: __expectString(output.currentVersion),
        Provisioned: output.provisioned !== undefined && output.provisioned !== null
            ? deserializeAws_restJson1Provisioned(output.provisioned, context)
            : undefined,
        Serverless: output.serverless !== undefined && output.serverless !== null
            ? deserializeAws_restJson1Serverless(output.serverless, context)
            : undefined,
        State: __expectString(output.state),
        StateInfo: output.stateInfo !== undefined && output.stateInfo !== null
            ? deserializeAws_restJson1StateInfo(output.stateInfo, context)
            : undefined,
        Tags: output.tags !== undefined && output.tags !== null
            ? deserializeAws_restJson1__mapOf__string(output.tags, context)
            : undefined,
    };
};
var deserializeAws_restJson1ClusterInfo = function (output, context) {
    return {
        ActiveOperationArn: __expectString(output.activeOperationArn),
        BrokerNodeGroupInfo: output.brokerNodeGroupInfo !== undefined && output.brokerNodeGroupInfo !== null
            ? deserializeAws_restJson1BrokerNodeGroupInfo(output.brokerNodeGroupInfo, context)
            : undefined,
        ClientAuthentication: output.clientAuthentication !== undefined && output.clientAuthentication !== null
            ? deserializeAws_restJson1ClientAuthentication(output.clientAuthentication, context)
            : undefined,
        ClusterArn: __expectString(output.clusterArn),
        ClusterName: __expectString(output.clusterName),
        CreationTime: output.creationTime !== undefined && output.creationTime !== null
            ? __expectNonNull(__parseRfc3339DateTime(output.creationTime))
            : undefined,
        CurrentBrokerSoftwareInfo: output.currentBrokerSoftwareInfo !== undefined && output.currentBrokerSoftwareInfo !== null
            ? deserializeAws_restJson1BrokerSoftwareInfo(output.currentBrokerSoftwareInfo, context)
            : undefined,
        CurrentVersion: __expectString(output.currentVersion),
        EncryptionInfo: output.encryptionInfo !== undefined && output.encryptionInfo !== null
            ? deserializeAws_restJson1EncryptionInfo(output.encryptionInfo, context)
            : undefined,
        EnhancedMonitoring: __expectString(output.enhancedMonitoring),
        LoggingInfo: output.loggingInfo !== undefined && output.loggingInfo !== null
            ? deserializeAws_restJson1LoggingInfo(output.loggingInfo, context)
            : undefined,
        NumberOfBrokerNodes: __expectInt32(output.numberOfBrokerNodes),
        OpenMonitoring: output.openMonitoring !== undefined && output.openMonitoring !== null
            ? deserializeAws_restJson1OpenMonitoring(output.openMonitoring, context)
            : undefined,
        State: __expectString(output.state),
        StateInfo: output.stateInfo !== undefined && output.stateInfo !== null
            ? deserializeAws_restJson1StateInfo(output.stateInfo, context)
            : undefined,
        Tags: output.tags !== undefined && output.tags !== null
            ? deserializeAws_restJson1__mapOf__string(output.tags, context)
            : undefined,
        ZookeeperConnectString: __expectString(output.zookeeperConnectString),
        ZookeeperConnectStringTls: __expectString(output.zookeeperConnectStringTls),
    };
};
var deserializeAws_restJson1ClusterOperationInfo = function (output, context) {
    return {
        ClientRequestId: __expectString(output.clientRequestId),
        ClusterArn: __expectString(output.clusterArn),
        CreationTime: output.creationTime !== undefined && output.creationTime !== null
            ? __expectNonNull(__parseRfc3339DateTime(output.creationTime))
            : undefined,
        EndTime: output.endTime !== undefined && output.endTime !== null
            ? __expectNonNull(__parseRfc3339DateTime(output.endTime))
            : undefined,
        ErrorInfo: output.errorInfo !== undefined && output.errorInfo !== null
            ? deserializeAws_restJson1ErrorInfo(output.errorInfo, context)
            : undefined,
        OperationArn: __expectString(output.operationArn),
        OperationState: __expectString(output.operationState),
        OperationSteps: output.operationSteps !== undefined && output.operationSteps !== null
            ? deserializeAws_restJson1__listOfClusterOperationStep(output.operationSteps, context)
            : undefined,
        OperationType: __expectString(output.operationType),
        SourceClusterInfo: output.sourceClusterInfo !== undefined && output.sourceClusterInfo !== null
            ? deserializeAws_restJson1MutableClusterInfo(output.sourceClusterInfo, context)
            : undefined,
        TargetClusterInfo: output.targetClusterInfo !== undefined && output.targetClusterInfo !== null
            ? deserializeAws_restJson1MutableClusterInfo(output.targetClusterInfo, context)
            : undefined,
    };
};
var deserializeAws_restJson1ClusterOperationStep = function (output, context) {
    return {
        StepInfo: output.stepInfo !== undefined && output.stepInfo !== null
            ? deserializeAws_restJson1ClusterOperationStepInfo(output.stepInfo, context)
            : undefined,
        StepName: __expectString(output.stepName),
    };
};
var deserializeAws_restJson1ClusterOperationStepInfo = function (output, context) {
    return {
        StepStatus: __expectString(output.stepStatus),
    };
};
var deserializeAws_restJson1CompatibleKafkaVersion = function (output, context) {
    return {
        SourceVersion: __expectString(output.sourceVersion),
        TargetVersions: output.targetVersions !== undefined && output.targetVersions !== null
            ? deserializeAws_restJson1__listOf__string(output.targetVersions, context)
            : undefined,
    };
};
var deserializeAws_restJson1Configuration = function (output, context) {
    return {
        Arn: __expectString(output.arn),
        CreationTime: output.creationTime !== undefined && output.creationTime !== null
            ? __expectNonNull(__parseRfc3339DateTime(output.creationTime))
            : undefined,
        Description: __expectString(output.description),
        KafkaVersions: output.kafkaVersions !== undefined && output.kafkaVersions !== null
            ? deserializeAws_restJson1__listOf__string(output.kafkaVersions, context)
            : undefined,
        LatestRevision: output.latestRevision !== undefined && output.latestRevision !== null
            ? deserializeAws_restJson1ConfigurationRevision(output.latestRevision, context)
            : undefined,
        Name: __expectString(output.name),
        State: __expectString(output.state),
    };
};
var deserializeAws_restJson1ConfigurationInfo = function (output, context) {
    return {
        Arn: __expectString(output.arn),
        Revision: __expectLong(output.revision),
    };
};
var deserializeAws_restJson1ConfigurationRevision = function (output, context) {
    return {
        CreationTime: output.creationTime !== undefined && output.creationTime !== null
            ? __expectNonNull(__parseRfc3339DateTime(output.creationTime))
            : undefined,
        Description: __expectString(output.description),
        Revision: __expectLong(output.revision),
    };
};
var deserializeAws_restJson1ConnectivityInfo = function (output, context) {
    return {
        PublicAccess: output.publicAccess !== undefined && output.publicAccess !== null
            ? deserializeAws_restJson1PublicAccess(output.publicAccess, context)
            : undefined,
    };
};
var deserializeAws_restJson1EBSStorageInfo = function (output, context) {
    return {
        ProvisionedThroughput: output.provisionedThroughput !== undefined && output.provisionedThroughput !== null
            ? deserializeAws_restJson1ProvisionedThroughput(output.provisionedThroughput, context)
            : undefined,
        VolumeSize: __expectInt32(output.volumeSize),
    };
};
var deserializeAws_restJson1EncryptionAtRest = function (output, context) {
    return {
        DataVolumeKMSKeyId: __expectString(output.dataVolumeKMSKeyId),
    };
};
var deserializeAws_restJson1EncryptionInfo = function (output, context) {
    return {
        EncryptionAtRest: output.encryptionAtRest !== undefined && output.encryptionAtRest !== null
            ? deserializeAws_restJson1EncryptionAtRest(output.encryptionAtRest, context)
            : undefined,
        EncryptionInTransit: output.encryptionInTransit !== undefined && output.encryptionInTransit !== null
            ? deserializeAws_restJson1EncryptionInTransit(output.encryptionInTransit, context)
            : undefined,
    };
};
var deserializeAws_restJson1EncryptionInTransit = function (output, context) {
    return {
        ClientBroker: __expectString(output.clientBroker),
        InCluster: __expectBoolean(output.inCluster),
    };
};
var deserializeAws_restJson1ErrorInfo = function (output, context) {
    return {
        ErrorCode: __expectString(output.errorCode),
        ErrorString: __expectString(output.errorString),
    };
};
var deserializeAws_restJson1Firehose = function (output, context) {
    return {
        DeliveryStream: __expectString(output.deliveryStream),
        Enabled: __expectBoolean(output.enabled),
    };
};
var deserializeAws_restJson1Iam = function (output, context) {
    return {
        Enabled: __expectBoolean(output.enabled),
    };
};
var deserializeAws_restJson1JmxExporter = function (output, context) {
    return {
        EnabledInBroker: __expectBoolean(output.enabledInBroker),
    };
};
var deserializeAws_restJson1JmxExporterInfo = function (output, context) {
    return {
        EnabledInBroker: __expectBoolean(output.enabledInBroker),
    };
};
var deserializeAws_restJson1KafkaVersion = function (output, context) {
    return {
        Status: __expectString(output.status),
        Version: __expectString(output.version),
    };
};
var deserializeAws_restJson1LoggingInfo = function (output, context) {
    return {
        BrokerLogs: output.brokerLogs !== undefined && output.brokerLogs !== null
            ? deserializeAws_restJson1BrokerLogs(output.brokerLogs, context)
            : undefined,
    };
};
var deserializeAws_restJson1MutableClusterInfo = function (output, context) {
    return {
        BrokerEBSVolumeInfo: output.brokerEBSVolumeInfo !== undefined && output.brokerEBSVolumeInfo !== null
            ? deserializeAws_restJson1__listOfBrokerEBSVolumeInfo(output.brokerEBSVolumeInfo, context)
            : undefined,
        ClientAuthentication: output.clientAuthentication !== undefined && output.clientAuthentication !== null
            ? deserializeAws_restJson1ClientAuthentication(output.clientAuthentication, context)
            : undefined,
        ConfigurationInfo: output.configurationInfo !== undefined && output.configurationInfo !== null
            ? deserializeAws_restJson1ConfigurationInfo(output.configurationInfo, context)
            : undefined,
        ConnectivityInfo: output.connectivityInfo !== undefined && output.connectivityInfo !== null
            ? deserializeAws_restJson1ConnectivityInfo(output.connectivityInfo, context)
            : undefined,
        EncryptionInfo: output.encryptionInfo !== undefined && output.encryptionInfo !== null
            ? deserializeAws_restJson1EncryptionInfo(output.encryptionInfo, context)
            : undefined,
        EnhancedMonitoring: __expectString(output.enhancedMonitoring),
        InstanceType: __expectString(output.instanceType),
        KafkaVersion: __expectString(output.kafkaVersion),
        LoggingInfo: output.loggingInfo !== undefined && output.loggingInfo !== null
            ? deserializeAws_restJson1LoggingInfo(output.loggingInfo, context)
            : undefined,
        NumberOfBrokerNodes: __expectInt32(output.numberOfBrokerNodes),
        OpenMonitoring: output.openMonitoring !== undefined && output.openMonitoring !== null
            ? deserializeAws_restJson1OpenMonitoring(output.openMonitoring, context)
            : undefined,
    };
};
var deserializeAws_restJson1NodeExporter = function (output, context) {
    return {
        EnabledInBroker: __expectBoolean(output.enabledInBroker),
    };
};
var deserializeAws_restJson1NodeExporterInfo = function (output, context) {
    return {
        EnabledInBroker: __expectBoolean(output.enabledInBroker),
    };
};
var deserializeAws_restJson1NodeInfo = function (output, context) {
    return {
        AddedToClusterTime: __expectString(output.addedToClusterTime),
        BrokerNodeInfo: output.brokerNodeInfo !== undefined && output.brokerNodeInfo !== null
            ? deserializeAws_restJson1BrokerNodeInfo(output.brokerNodeInfo, context)
            : undefined,
        InstanceType: __expectString(output.instanceType),
        NodeARN: __expectString(output.nodeARN),
        NodeType: __expectString(output.nodeType),
        ZookeeperNodeInfo: output.zookeeperNodeInfo !== undefined && output.zookeeperNodeInfo !== null
            ? deserializeAws_restJson1ZookeeperNodeInfo(output.zookeeperNodeInfo, context)
            : undefined,
    };
};
var deserializeAws_restJson1OpenMonitoring = function (output, context) {
    return {
        Prometheus: output.prometheus !== undefined && output.prometheus !== null
            ? deserializeAws_restJson1Prometheus(output.prometheus, context)
            : undefined,
    };
};
var deserializeAws_restJson1OpenMonitoringInfo = function (output, context) {
    return {
        Prometheus: output.prometheus !== undefined && output.prometheus !== null
            ? deserializeAws_restJson1PrometheusInfo(output.prometheus, context)
            : undefined,
    };
};
var deserializeAws_restJson1Prometheus = function (output, context) {
    return {
        JmxExporter: output.jmxExporter !== undefined && output.jmxExporter !== null
            ? deserializeAws_restJson1JmxExporter(output.jmxExporter, context)
            : undefined,
        NodeExporter: output.nodeExporter !== undefined && output.nodeExporter !== null
            ? deserializeAws_restJson1NodeExporter(output.nodeExporter, context)
            : undefined,
    };
};
var deserializeAws_restJson1PrometheusInfo = function (output, context) {
    return {
        JmxExporter: output.jmxExporter !== undefined && output.jmxExporter !== null
            ? deserializeAws_restJson1JmxExporterInfo(output.jmxExporter, context)
            : undefined,
        NodeExporter: output.nodeExporter !== undefined && output.nodeExporter !== null
            ? deserializeAws_restJson1NodeExporterInfo(output.nodeExporter, context)
            : undefined,
    };
};
var deserializeAws_restJson1Provisioned = function (output, context) {
    return {
        BrokerNodeGroupInfo: output.brokerNodeGroupInfo !== undefined && output.brokerNodeGroupInfo !== null
            ? deserializeAws_restJson1BrokerNodeGroupInfo(output.brokerNodeGroupInfo, context)
            : undefined,
        ClientAuthentication: output.clientAuthentication !== undefined && output.clientAuthentication !== null
            ? deserializeAws_restJson1ClientAuthentication(output.clientAuthentication, context)
            : undefined,
        CurrentBrokerSoftwareInfo: output.currentBrokerSoftwareInfo !== undefined && output.currentBrokerSoftwareInfo !== null
            ? deserializeAws_restJson1BrokerSoftwareInfo(output.currentBrokerSoftwareInfo, context)
            : undefined,
        EncryptionInfo: output.encryptionInfo !== undefined && output.encryptionInfo !== null
            ? deserializeAws_restJson1EncryptionInfo(output.encryptionInfo, context)
            : undefined,
        EnhancedMonitoring: __expectString(output.enhancedMonitoring),
        LoggingInfo: output.loggingInfo !== undefined && output.loggingInfo !== null
            ? deserializeAws_restJson1LoggingInfo(output.loggingInfo, context)
            : undefined,
        NumberOfBrokerNodes: __expectInt32(output.numberOfBrokerNodes),
        OpenMonitoring: output.openMonitoring !== undefined && output.openMonitoring !== null
            ? deserializeAws_restJson1OpenMonitoringInfo(output.openMonitoring, context)
            : undefined,
        ZookeeperConnectString: __expectString(output.zookeeperConnectString),
        ZookeeperConnectStringTls: __expectString(output.zookeeperConnectStringTls),
    };
};
var deserializeAws_restJson1ProvisionedThroughput = function (output, context) {
    return {
        Enabled: __expectBoolean(output.enabled),
        VolumeThroughput: __expectInt32(output.volumeThroughput),
    };
};
var deserializeAws_restJson1PublicAccess = function (output, context) {
    return {
        Type: __expectString(output.type),
    };
};
var deserializeAws_restJson1S3 = function (output, context) {
    return {
        Bucket: __expectString(output.bucket),
        Enabled: __expectBoolean(output.enabled),
        Prefix: __expectString(output.prefix),
    };
};
var deserializeAws_restJson1Sasl = function (output, context) {
    return {
        Iam: output.iam !== undefined && output.iam !== null ? deserializeAws_restJson1Iam(output.iam, context) : undefined,
        Scram: output.scram !== undefined && output.scram !== null
            ? deserializeAws_restJson1Scram(output.scram, context)
            : undefined,
    };
};
var deserializeAws_restJson1Scram = function (output, context) {
    return {
        Enabled: __expectBoolean(output.enabled),
    };
};
var deserializeAws_restJson1Serverless = function (output, context) {
    return {
        ClientAuthentication: output.clientAuthentication !== undefined && output.clientAuthentication !== null
            ? deserializeAws_restJson1ServerlessClientAuthentication(output.clientAuthentication, context)
            : undefined,
        VpcConfigs: output.vpcConfigs !== undefined && output.vpcConfigs !== null
            ? deserializeAws_restJson1__listOfVpcConfig(output.vpcConfigs, context)
            : undefined,
    };
};
var deserializeAws_restJson1ServerlessClientAuthentication = function (output, context) {
    return {
        Sasl: output.sasl !== undefined && output.sasl !== null
            ? deserializeAws_restJson1ServerlessSasl(output.sasl, context)
            : undefined,
    };
};
var deserializeAws_restJson1ServerlessSasl = function (output, context) {
    return {
        Iam: output.iam !== undefined && output.iam !== null ? deserializeAws_restJson1Iam(output.iam, context) : undefined,
    };
};
var deserializeAws_restJson1StateInfo = function (output, context) {
    return {
        Code: __expectString(output.code),
        Message: __expectString(output.message),
    };
};
var deserializeAws_restJson1StorageInfo = function (output, context) {
    return {
        EbsStorageInfo: output.ebsStorageInfo !== undefined && output.ebsStorageInfo !== null
            ? deserializeAws_restJson1EBSStorageInfo(output.ebsStorageInfo, context)
            : undefined,
    };
};
var deserializeAws_restJson1Tls = function (output, context) {
    return {
        CertificateAuthorityArnList: output.certificateAuthorityArnList !== undefined && output.certificateAuthorityArnList !== null
            ? deserializeAws_restJson1__listOf__string(output.certificateAuthorityArnList, context)
            : undefined,
        Enabled: __expectBoolean(output.enabled),
    };
};
var deserializeAws_restJson1Unauthenticated = function (output, context) {
    return {
        Enabled: __expectBoolean(output.enabled),
    };
};
var deserializeAws_restJson1UnprocessedScramSecret = function (output, context) {
    return {
        ErrorCode: __expectString(output.errorCode),
        ErrorMessage: __expectString(output.errorMessage),
        SecretArn: __expectString(output.secretArn),
    };
};
var deserializeAws_restJson1VpcConfig = function (output, context) {
    return {
        SecurityGroupIds: output.securityGroupIds !== undefined && output.securityGroupIds !== null
            ? deserializeAws_restJson1__listOf__string(output.securityGroupIds, context)
            : undefined,
        SubnetIds: output.subnetIds !== undefined && output.subnetIds !== null
            ? deserializeAws_restJson1__listOf__string(output.subnetIds, context)
            : undefined,
    };
};
var deserializeAws_restJson1ZookeeperNodeInfo = function (output, context) {
    return {
        AttachedENIId: __expectString(output.attachedENIId),
        ClientVpcIpAddress: __expectString(output.clientVpcIpAddress),
        Endpoints: output.endpoints !== undefined && output.endpoints !== null
            ? deserializeAws_restJson1__listOf__string(output.endpoints, context)
            : undefined,
        ZookeeperId: __limitedParseDouble(output.zookeeperId),
        ZookeeperVersion: __expectString(output.zookeeperVersion),
    };
};
var deserializeMetadata = function (output) {
    var _a;
    return ({
        httpStatusCode: output.statusCode,
        requestId: (_a = output.headers["x-amzn-requestid"]) !== null && _a !== void 0 ? _a : output.headers["x-amzn-request-id"],
        extendedRequestId: output.headers["x-amz-id-2"],
        cfId: output.headers["x-amz-cf-id"],
    });
};
var collectBody = function (streamBody, context) {
    if (streamBody === void 0) { streamBody = new Uint8Array(); }
    if (streamBody instanceof Uint8Array) {
        return Promise.resolve(streamBody);
    }
    return context.streamCollector(streamBody) || Promise.resolve(new Uint8Array());
};
var collectBodyString = function (streamBody, context) {
    return collectBody(streamBody, context).then(function (body) { return context.utf8Encoder(body); });
};
var isSerializableHeaderValue = function (value) {
    return value !== undefined &&
        value !== null &&
        value !== "" &&
        (!Object.getOwnPropertyNames(value).includes("length") || value.length != 0) &&
        (!Object.getOwnPropertyNames(value).includes("size") || value.size != 0);
};
var parseBody = function (streamBody, context) {
    return collectBodyString(streamBody, context).then(function (encoded) {
        if (encoded.length) {
            return JSON.parse(encoded);
        }
        return {};
    });
};
var loadRestJsonErrorCode = function (output, data) {
    var findKey = function (object, key) { return Object.keys(object).find(function (k) { return k.toLowerCase() === key.toLowerCase(); }); };
    var sanitizeErrorCode = function (rawValue) {
        var cleanValue = rawValue;
        if (cleanValue.indexOf(":") >= 0) {
            cleanValue = cleanValue.split(":")[0];
        }
        if (cleanValue.indexOf("#") >= 0) {
            cleanValue = cleanValue.split("#")[1];
        }
        return cleanValue;
    };
    var headerKey = findKey(output.headers, "x-amzn-errortype");
    if (headerKey !== undefined) {
        return sanitizeErrorCode(output.headers[headerKey]);
    }
    if (data.code !== undefined) {
        return sanitizeErrorCode(data.code);
    }
    if (data["__type"] !== undefined) {
        return sanitizeErrorCode(data["__type"]);
    }
    return "";
};
